# Reaktoro is a unified framework for modeling chemically reactive systems.
#
# Copyright © 2014-2022 Allan Leal
#
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; either
# version 2.1 of the License, or (at your option) any later version.
#
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# Lesser General Public License for more details.
#
# You should have received a copy of the GNU Lesser General Public License
# along with this library. If not, see <http://www.gnu.org/licenses/>.

# The mapping from original SUPCRTBL species names to Reaktoro's species naming convention
supcrtbl_customized_species_name = {
    'ALMANDINE':            'Almandine',
    'ANDRADITE':            'Andradite',
    'GROSSULAR':            'Grossular',
    'KNORRINGITE':          'Knorringite',
    'MAJORITE':             'Majorite',
    'PYROPE':               'Pyrope',
    'SPESSARTINE':          'Spessartine',
    'CLINOHUMITE':          'Clinohumite',
    'FAYALITE':             'Fayalite',
    'FORSTERITE':           'Forsterite',
    'MONTICELLITE':         'Monticellite',
    'TEPHROITE':            'Tephroite',
    'ANDALUSITE':           'Andalusite',
    'KYANITE':              'Kyanite',
    'Al-MULLITE':           'Al-Mullite',
    'Si-MULLITE':           'Si-Mullite',
    'Fe-CHLORITOID':        'Fe-Chloritoid',
    'Mg-CHLORITOID':        'Mg-Chloritoid',
    'Mn-CHLORITOID':        'Mn-Chloritoid',
    'Fe-STAUROLITE':        'Fe-Staurolite',
    'Mg-STAUROLITE':        'Mg-Staurolite',
    'Mn-STAUROLITE':        'Mn-Staurolite',
    'HYDROXY-TOPAZ':        'Hydroxy-Topaz',
    'AKERMANITE':           'Akermanite',
    'JULGOLDITE(FeFe)':     'Julgoldite-FeFe',
    'MERWINITE':            'Merwinite',
    'PUMPELLYITE(FeAl)':    'Pumpellyite-FeAl',
    'PUMPELLYITE(MgAl)':    'Pumpellyite-MgAl',
    'RANKINITE':            'Rankinite',
    'SPURRITE':             'Spurrite',
    'TILLEYITE':            'Tilleyite',
    'ZIRCON':               'Zircon',
    'CLINOZOISITE':         'Clinozoisite',
    'EPIDOTE(ORDERED)':     'Epidote,ordered',
    'Fe-EPIDOTE':           'Fe-Epidote',
    'LAWSONITE':            'Lawsonite',
    'PIEMONTITE(ORDERED)':  'Piemontite,ordered',
    'ZOISITE':              'Zoisite',
    'VESUVIANITE':          'Vesuvianite',
    'Fe-OSUMILITE':         'Fe-Osumilite',
    'OSUMILITE(1)':         'Osumilite,1',
    'OSUMILITE(2)':         'Osumilite,2',
    'Fe-AKIMOTOITE':        'Fe-Akimotoite',
    'AKIMOTOITE':           'Akimotoite',
    'CaSi-TITANITE':        'CaSi-Titanite',
    'Al-PEROVSKITE':        'Al-Perovskite',
    'Ca-PEROVSKITE':        'Ca-Perovskite',
    'Fe-PEROVSKITE':        'Fe-Perovskite',
    'Mg-PEROVSKITE':        'Mg-Perovskite',
    'PHASEA':               'Phasea',
    'Fe-RINGWOODITE':       'Fe-Ringwoodite',
    'Mg-RINGWOODITE':       'Mg-Ringwoodite',
    'Fe-WADSLEYITE':        'Fe-Wadsleyite',
    'Mg-WADSLEYITE':        'Mg-Wadsleyite',
    'ACMITE':               'Acmite',
    'Ca-ESKOLA_PYROXENE':   'Ca-Eskola-Pyroxene',
    'CLINO_ENSTATITE':      'Clino-Enstatite',
    'HI-P_CLINOENSTATITE':  'Hi-P-Clinoenstatite',
    'DIOPSIDE':             'Diopside',
    'ENSTATITE':            'Enstatite',
    'FERROSILITE':          'Ferrosilite',
    'HEDENBERGITE':         'Hedenbergite',
    'JADEITE':              'Jadeite',
    'KOSMOCHLOR':           'Kosmochlor',
    'Mg-TSCHERMAKS_PX':     'Mg-Tschermaks-Px',
    'PROTOENSTATITE':       'Protoenstatite',
    'PSEUDOWOLLASTONITE':   'Pseudowollastonite',
    'PYROXMANGITE':         'Pyroxmangite',
    'RHODONITE':            'Rhodonite',
    'WALSTROMITE':          'Walstromite',
    'WOLLASTONITE':         'Wollastonite',
    'ANTHOPHYLLITE':        'Anthophyllite',
    'Fe-ANTHOPHYLLITE':     'Fe-Anthophyllite',
    'CUMMINGTONITE':        'Cummingtonite',
    'FERROACTINOLITE':      'Ferroactinolite',
    'FERROGLAUCOPHANE':     'Ferroglaucophane',
    'GLAUCOPHANE':          'Glaucophane',
    'GRUNERITE':            'Grunerite',
    'PARGASITE':            'Pargasite',
    'RIEBECKITE':           'Riebeckite',
    'TREMOLITE':            'Tremolite',
    'TSCHERMAKITE':         'Tschermakite',
    'DEERITE':              'Deerite',
    'FERROCARPHOLITE':      'Ferrocarpholite',
    'MAGNESIOCARPHOLITE':   'Magnesiocarpholite',
    'Fe-SAPPHIRINE(221)':   'Fe-Sapphirine,221',
    'SAPPHIRINE(221)':      'Sapphirine,221',
    'SAPPHIRINE(351)':      'Sapphirine,351',
    'ANNITE':               'Annite',
    'CELADONITE':           'Celadonite',
    'FERROCELADONITE':      'Ferroceladonite',
    'EASTONITE':            'Eastonite',
    'MARGARITE':            'Margarite',
    'Mn-BIOTITE':           'Mn-Biotite',
    'MUSCOVITE':            'Muscovite',
    'SODAPHLOGOPITE':       'Sodaphlogopite',
    'PARAGONITE':           'Paragonite',
    'PHLOGOPITE':           'Phlogopite',
    'Al-FREE_CHLORITE':     'Al-Free-Chlorite',
    'AMESITE(14A)':         'Amesite,14A',
    'CLINOCHLORE(ORDERED)': 'Clinochlore,ordered',
    'DAPHNITE':             'Daphnite',
    'Mn-CHLORITE':          'Mn-Chlorite',
    'FERROSUDOITE':         'Ferrosudoite',
    'SUDOITE':              'Sudoite',
    'ANTIGORITE':           'Antigorite',
    'CHRYSOTILE':           'Chrysotile',
    'FERROTALC':            'Ferrotalc',
    'GREENALITE':           'Greenalite',
    'KAOLINITE':            'Kaolinite',
    'LIZARDITE':            'Lizardite',
    'MINNESOTAITE':         'Minnesotaite',
    'Mg-MINNESOTAITE':      'Mg-Minnesotaite',
    'PREHNITE':             'Prehnite',
    'PRL-TALC':             'PRL-Talc',
    'PYROPHYLLITE':         'Pyrophyllite',
    'FERROSTILPNOMELANE':   'Ferrostilpnomelane',
    'Mg-STILPNOMELANE':     'Mg-Stilpnomelane',
    'TALC':                 'Talc',
    'TSCHERMAK-TALC':       'Tschermak-Talc',
    'FERRI-PREHNITE':       'Ferri-Prehnite',
    'ALBITE(HIGH)':         'Albite,high',
    'ANALCITE':             'Analcite',
    'CARNEGIEITE(HIGH)':    'Carnegieite,high',
    'CARNEGIEITE(LOW)':     'Carnegieite,low',
    'K-CYMRITE':            'K-Cymrite',
    'KALSILITE':            'Kalsilite',
    'MICROCLINE':           'Microcline',
    'COESITE':              'Coesite',
    'CRISTOBALITE(HIGH)':   'Cristobalite,high',
    'STISHOVITE':           'Stishovite',
    'TRIDYMITE(HIGH)':      'Tridymite,high',
    'HEULANDITE':           'Heulandite',
    'HOLLANDITE':           'Hollandite',
    'LAUMONTITE':           'Laumontite',
    'MEIONITE':             'Meionite',
    'SODALITE':             'Sodalite',
    'STILBITE':             'Stilbite',
    'Si-WADEITE':           'Si-Wadeite',
    'WAIRAKITE':            'Wairakite',
    'BADDELEYITE':          'Baddeleyite',
    'BIXBYITE':             'Bixbyite',
    'CORUNDUM':             'Corundum',
    'CUPRITE':              'Cuprite',
    'ESKOLAITE':            'Eskolaite',
    'GEIKIELITE':           'Geikielite',
    'LIME':                 'Lime',
    'MANGANOSITE':          'Manganosite',
    'MgSi-CORUNDUM':        'MgSi-Corundum',
    'PERICLASE':            'Periclase',
    'FERROPERICLASE':       'Ferropericlase',
    'PYROPHANITE':          'Pyrophanite',
    'RUTILE':               'Rutile',
    'TENORITE':             'Tenorite',
    'ULVOSPINEL':           'Ulvospinel',
    'BRUCITE':              'Brucite',
    'DIASPORE':             'Diaspore',
    'GOETHITE':             'Goethite',
    'MAGNESITE':            'Magnesite',
    'RHODOCHROSITE':        'Rhodochrosite',
    'SIDERITE':             'Siderite',
    'ANHYDRITE':            'Anhydrite',
    'HALITE':               'Halite',
    'PYRITE':               'Pyrite',
    'SYLVITE':              'Sylvite',
    'COPPER':               'Copper',
    'DIAMOND':              'Diamond',
    'GRAPHITE':             'Graphite',
    'SULPHUR':              'Sulphur',
    'GIBBSITE':             'Gibbsite',
    'BOEHMITE':             'Boehmite',
    'FLUORPHLOGOPITE':      'Fluorphlogopite',
    'HYDROXYAPATITE':       'Hydroxyapatite',
    'FLUORAPATITE':         'Fluorapatite',
    'CHLORAPATITE':         'Chlorapatite',
    'ARSENIC':              'Arsenic',
    'ARSENOLITE':           'Arsenolite',
    'CLAUDETITE':           'Claudetite',
    'As2O5,s':              'As2O5(s)',
    'REALGAR(ALPHA)':       'Realgar,alpha',
    'REALGAR(BETA)':        'Realgar,beta',
    'ORPIMENT':             'Orpiment',
    'ORPIMENT(AM)':         'Orpiment(am)',
    'ARSENOPYRITE':         'Arsenopyrite',
    'SCORODITE':            'Scorodite',
    'FERRIC-As(AM)':        'Ferric-As(am)',
    'BARIUM-As':            'Barium-As',
    'BARIUM-H-As':          'Barium-H-As',
    'a-GaOOH':              'a-GaOOH',
    'DAWSONITE':            'Dawsonite',
    'SAPPHIRINE(793)':      'Sapphirine,793',
    'Fe-SAPPHIRINE(793)':   'Fe-Sapphirine,793',
    'GEDRITE':              'Gedrite',
    'BEIDELLITE-Ca':        'Beidellite-Ca',
    'BEIDELLITE-H':         'Beidellite-H',
    'BEIDELLITE-K':         'Beidellite-K',
    'BEIDELLITE-Mg':        'Beidellite-Mg',
    'BEIDELLITE-Na':        'Beidellite-Na',
    'MONTMORILLONITE-Ca':   'Montmorillonite-Ca',
    'MONTMORILLONITE-K':    'Montmorillonite-K',
    'MONTMORILLONITE-Mg':   'Montmorillonite-Mg',
    'MONTMORILLONITE-Na':   'Montmorillonite-Na',
    'NONTRONITE-Ca':        'Nontronite-Ca',
    'NONTRONITE-Mg':        'Nontronite-Mg',
    'NONTRONITE-H':         'Nontronite-H',
    'NONTRONITE-K':         'Nontronite-K',
    'NONTRONITE-Na':        'Nontronite-Na',
    'SAPONITE-Mg':          'Saponite-Mg',
    'ILLITE':               'Illite',
    'DOLOMITE-DIS':         'Dolomite,disordered',
    'DOLOMITE-ORD':         'Dolomite,ordered',
    'GALENA':               'Galena',
    'BARITE':               'Barite',
    'FLUORITE':             'Fluorite',
    'CELESTITE':            'Celestite',
    'ANGLESITE':            'Anglesite',
    'CHALCEDONY':           'Chalcedony',
    'SiO2(a)':              'SiO2(a)',
    'LARNITE':              'Larnite',
    'SPHENE':               'Sphene',
    'QUARTZ':               'Quartz',
    'NEPHELINE':            'Nepheline',
    'HEMATITE':             'Hematite',
    'NICKEL_OXIDE':         'Nickel-Oxide',
    'ILMENITE':             'Ilmenite',
    'MAGNETITE':            'Magnetite',
    'MAGNESIOFERRITE':      'Magnesioferrite',
    'CALCITE':              'Calcite',
    'ARAGONITE':            'Aragonite',
    'PYRRHOTITE(TROT)':     'Pyrrhotite,trot',
    'TROILITE':             'Troilite',
    'LOW_TROILITE':         'Troilite,low',
    'PYRRHOTITE(TROV)':     'Pyrrhotite,trov',
    'IRON':                 'Iron',
    'NICKEL':               'Nickel',
    'SILLIMANITE':          'Sillimanite',
    'GEHLENITE':            'Gehlenite',
    'CORDIERITE':           'Cordierite',
    'HYDROUS-CORDIERITE':   'Hydrous-Cordierite',
    'Fe-CORDIERITE':        'Fe-Cordierite',
    'Mn-CORDIERITE':        'Mn-Cordierite',
    'Ca-TSCHERMAKS_PX':     'Ca-Tschermaks-Px',
    'ALBITE':               'Albite',
    'SANIDINE':             'Sanidine',
    'ANORTHITE':            'Anorthite',
    'LEUCITE':              'Leucite',
    'SPINEL':               'Spinel',
    'HERCYNITE':            'Hercynite',
    'PICROCHROMITE':        'Picrochromite',
    'DOLOMITE':             'Dolomite',
    'ANKERITE':             'Ankerite',
    'CH4,g':                'CH4(g)',
    'CO,g':                 'CO(g)',
    'CO2,g':                'CO2(g)',
    'H2,g':                 'H2(g)',
    'H2S,g':                'H2S(g)',
    'O2,g':                 'O2(g)',
    'S2,g':                 'S2(g)',
    'H2O,g':                'H2O(g)',
    'Ar,g':                 'Ar(g)',
    'PHENOL,g':             'Phenol(g)',
    'ORTHO-CRESOL,g':       'o-Cresol(g)',
    'META-CRESOL,g':        'm-Cresol(g)',
    'PARA-CRESOL,g':        'p-Cresol(g)',
    'ETHYLENE,g':           'Ethylene(g)',
    'He,g':                 'He(g)',
    'Kr,g':                 'Kr(g)',
    'N2,g':                 'N2(g)',
    'Ne,g':                 'Ne(g)',
    'NH3,g':                'NH3(g)',
    'Rn,g':                 'Rn(g)',
    'SO2,g':                'SO2(g)',
    'Xe,g':                 'Xe(g)',
    'NO,g':                 'NO(g)',
    'N2O,g':                'N2O(g)',
    'Ag(CO3)-':             'Ag(CO3)-',
    'Ag(CO3)2-3':           'Ag(CO3)2-3',
    'Ag+':                  'Ag+',
    'Ag+2':                 'Ag+2',
    'AgCl,aq':              'AgCl(aq)',
    'AgCl2-':               'AgCl2-',
    'AgCl3-2':              'AgCl3-2',
    'AgCl4-3':              'AgCl4-3',
    'AgOH,aq':              'AgOH(aq)',
    'AgO-':                 'AgO-',
    'AgNO3,aq':             'AgNO3(aq)',
    'AlOH+2':               'AlOH+2',
    'Al+3':                 'Al+3',
    'AlH3SiO4+2':           'AlH3SiO4+2',
    'Al(OH)3,aq':           'Al(OH)3(aq)',
    'Al(OH)4-':             'Al(OH)4-',
    'Al(OH)2+':             'Al(OH)2+',
    'Au+':                  'Au+',
    'Au+3':                 'Au+3',
    'B(OH)3,aq':            'B(OH)3(aq)',
    'BF4-':                 'BF4-',
    'BO2-':                 'BO2-',
    'Ba(HCO3)+':            'Ba(HCO3)+',
    'Ba+2':                 'Ba+2',
    'BaCl+':                'BaCl+',
    'BaOH+':                'BaOH+',
    'Be+2':                 'Be+2',
    'BeOH+':                'BeOH+',
    'BeO,aq':               'BeO(aq)',
    'HBeO2-':               'HBeO2-',
    'BeO2-2':               'BeO2-2',
    'Br-':                  'Br-',
    'Br3-':                 'Br3-',
    'HBrO,aq':              'HBrO(aq)',
    'BrO-':                 'BrO-',
    'BrO3-':                'BrO3-',
    'BrO4-':                'BrO4-',
    'CaOH+':                'CaOH+',
    'Ce+4':                 'Ce+4',
    'CO,aq':                'CO(aq)',
    'CO2,aq':               'CO2(aq)',
    'CO3-2':                'CO3-2',
    'Ca(HCO3)+':            'Ca(HCO3)+',
    'Ca+2':                 'Ca+2',
    'CaCl+':                'CaCl+',
    'CaCl2,aq':             'CaCl2(aq)',
    'CaF+':                 'CaF+',
    'CaSO4,aq':             'CaSO4(aq)',
    'Cd+2':                 'Cd+2',
    'CdOH+':                'CdOH+',
    'CdO,aq':               'CdO(aq)',
    'HCdO2-':               'HCdO2-',
    'CdO2-2':               'CdO2-2',
    'Ce+2':                 'Ce+2',
    'Ce+3':                 'Ce+3',
    'Cl-':                  'Cl-',
    'HClO,aq':              'HClO(aq)',
    'ClO-':                 'ClO-',
    'ClO2-':                'ClO2-',
    'ClO3-':                'ClO3-',
    'ClO4-':                'ClO4-',
    'Co+2':                 'Co+2',
    'Co+3':                 'Co+3',
    'CoOH+':                'CoOH+',
    'CoO,aq':               'CoO(aq)',
    'HCoO2-':               'HCoO2-',
    'CoO2-2':               'CoO2-2',
    'CoOH+2':               'CoOH+2',
    'Cr2O7-2':              'Cr2O7-2',
    'CrO4-2':               'CrO4-2',
    'Cs+':                  'Cs+',
    'CsBr,aq':              'CsBr(aq)',
    'CsCl,aq':              'CsCl(aq)',
    'CsI,aq':               'CsI(aq)',
    'CsOH,aq':              'CsOH(aq)',
    'Cu+':                  'Cu+',
    'Cu+2':                 'Cu+2',
    'CuOH+':                'CuOH+',
    'CuO,aq':               'CuO(aq)',
    'HCuO2-':               'HCuO2-',
    'CuO2-2':               'CuO2-2',
    'Dy+2':                 'Dy+2',
    'Dy+3':                 'Dy+3',
    'Dy+4':                 'Dy+4',
    'Er+2':                 'Er+2',
    'Er+3':                 'Er+3',
    'Er+4':                 'Er+4',
    'Eu+2':                 'Eu+2',
    'Eu+3':                 'Eu+3',
    'Eu+4':                 'Eu+4',
    'F-':                   'F-',
    'Fe+2':                 'Fe+2',
    'Fe+3':                 'Fe+3',
    'FeCl+':                'FeCl+',
    'FeCl2,aq':             'FeCl2(aq)',
    'FeOH+2':               'FeOH+2',
    'FeOH+':                'FeOH+',
    'FeO+':                 'FeO+',
    'FeO,aq':               'FeO(aq)',
    'HFeO2-':               'HFeO2-',
    'HFeO2,aq':             'HFeO2(aq)',
    'FeO2-':                'FeO2-',
    'Ga+3':                 'Ga+3',
    'GaOH+2':               'GaOH+2',
    'GaO+':                 'GaO+',
    'HGaO2,aq':             'HGaO2(aq)',
    'GaO2-':                'GaO2-',
    'Gd+2':                 'Gd+2',
    'Gd+3':                 'Gd+3',
    'Gd+4':                 'Gd+4',
    'H+':                   'H+',
    'H2,aq':                'H2(aq)',
    'NaH2AsO4,aq':          'NaH2AsO4(aq)',
    'KH2AsO4,aq':           'KH2AsO4(aq)',
    'MgH2AsO4+':            'MgH2AsO4+',
    'CaH2AsO4+':            'CaH2AsO4+',
    'SrH2AsO4+':            'SrH2AsO4+',
    'MnH2AsO4+':            'MnH2AsO4+',
    'FeH2AsO4+':            'FeH2AsO4+',
    'CoH2AsO4+':            'CoH2AsO4+',
    'NiH2AsO4+':            'NiH2AsO4+',
    'CuH2AsO4+':            'CuH2AsO4+',
    'ZnH2AsO4+':            'ZnH2AsO4+',
    'PbH2AsO4+':            'PbH2AsO4+',
    'AlH2AsO4+2':           'AlH2AsO4+2',
    'FeH2AsO4+2':           'FeH2AsO4+2',
    'NaHAsO4-':             'NaHAsO4-',
    'KHAsO4-':              'KHAsO4-',
    'MgHAsO4,aq':           'MgHAsO4(aq)',
    'CaHAsO4,aq':           'CaHAsO4(aq)',
    'SrHAsO4,aq':           'SrHAsO4(aq)',
    'MnHAsO4,aq':           'MnHAsO4(aq)',
    'FeHAsO4,aq':           'FeHAsO4(aq)',
    'CoHAsO4,aq':           'CoHAsO4(aq)',
    'NiHAsO4,aq':           'NiHAsO4(aq)',
    'CuHAsO4,aq':           'CuHAsO4(aq)',
    'ZnHAsO4,aq':           'ZnHAsO4(aq)',
    'PbHAsO4,aq':           'PbHAsO4(aq)',
    'AlHAsO4+':             'AlHAsO4+',
    'FeHAsO4+':             'FeHAsO4+',
    'NaAsO4-2':             'NaAsO4-2',
    'KAsO4-2':              'KAsO4-2',
    'MgAsO4-':              'MgAsO4-',
    'CaAsO4-':              'CaAsO4-',
    'SrAsO4-':              'SrAsO4-',
    'MnAsO4-':              'MnAsO4-',
    'FeAsO4-':              'FeAsO4-',
    'CoAsO4-':              'CoAsO4-',
    'NiAsO4-':              'NiAsO4-',
    'CuAsO4-':              'CuAsO4-',
    'ZnAsO4-':              'ZnAsO4-',
    'PbAsO4-':              'PbAsO4-',
    'AlAsO4,aq':            'AlAsO4(aq)',
    'FeAsO4,aq':            'FeAsO4(aq)',
    'NaH2AsO3,aq':          'NaH2AsO3(aq)',
    'AgH2AsO3,aq':          'AgH2AsO3(aq)',
    'MgH2AsO3+':            'MgH2AsO3+',
    'CaH2AsO3+':            'CaH2AsO3+',
    'SrH2AsO3+':            'SrH2AsO3+',
    'BaH2AsO3+':            'BaH2AsO3+',
    'CuH2AsO3+':            'CuH2AsO3+',
    'PbH2AsO3+':            'PbH2AsO3+',
    'AlH2AsO3+2':           'AlH2AsO3+2',
    'FeH2AsO3+2':           'FeH2AsO3+2',
    'H2P2O7-2':             'H2P2O7-2',
    'H2PO4-':               'H2PO4-',
    'H2S,aq':               'H2S(aq)',
    'H3VO4,aq':             'H3VO4(aq)',
    'H2VO4-':               'H2VO4-',
    'H3P2O7-':              'H3P2O7-',
    'H3PO4,aq':             'H3PO4(aq)',
    'HCO3-':                'HCO3-',
    'HCrO4-':               'HCrO4-',
    'HF,aq':                'HF(aq)',
    'HF2-':                 'HF2-',
    'HNO3,aq':              'HNO3(aq)',
    'HO2-':                 'HO2-',
    'HPO4-2':               'HPO4-2',
    'HS-':                  'HS-',
    'HSO3-':                'HSO3-',
    'HSO4-':                'HSO4-',
    'HSO5-':                'HSO5-',
    'HSe-':                 'HSe-',
    'H2SeO3,aq':            'H2SeO3(aq)',
    'HSeO3-':               'HSeO3-',
    'HSeO4-':               'HSeO4-',
    'HSiO3-':               'HSiO3-',
    'HVO4-2':               'HVO4-2',
    'He,aq':                'He(aq)',
    'Hg+2':                 'Hg+2',
    'HgOH+':                'HgOH+',
    'HgO,aq':               'HgO(aq)',
    'HHgO2-':               'HHgO2-',
    'Hg2+2':                'Hg2+2',
    'Ho+2':                 'Ho+2',
    'Ho+3':                 'Ho+3',
    'Ho+4':                 'Ho+4',
    'I-':                   'I-',
    'I3-':                  'I3-',
    'HIO,aq':               'HIO(aq)',
    'IO-':                  'IO-',
    'IO3-':                 'IO3-',
    'IO4-':                 'IO4-',
    'In+3':                 'In+3',
    'InOH+2':               'InOH+2',
    'InO+':                 'InO+',
    'HInO2,aq':             'HInO2(aq)',
    'InO2-':                'InO2-',
    'K+':                   'K+',
    'KBr,aq':               'KBr(aq)',
    'KCl,aq':               'KCl(aq)',
    'KAlO2,aq':             'KAlO2(aq)',
    'KHSO4,aq':             'KhSO4(aq)',
    'KI,aq':                'KI(aq)',
    'KOH,aq':               'KOH(aq)',
    'KSO4-':                'KSO4-',
    'Kr,aq':                'Kr(aq)',
    'La+3':                 'La+3',
    'Li+':                  'Li+',
    'LiCl,aq':              'LiCl(aq)',
    'LiOH,aq':              'LiOH(aq)',
    'Lu+3':                 'Lu+3',
    'Lu+4':                 'Lu+4',
    'Mg(HCO3)+':            'Mg(HCO3)+',
    'Mg+2':                 'Mg+2',
    'MgCl+':                'MgCl+',
    'MgF+':                 'MgF+',
    'MgOH+':                'MgOH+',
    'Mn+2':                 'Mn+2',
    'Mn+3':                 'Mn+3',
    'MnCl+':                'MnCl+',
    'MnOH+':                'MnOH+',
    'MnO,aq':               'MnO(aq)',
    'HMnO2-':               'HMnO2-',
    'MnO2-2':               'MnO2-2',
    'MnO4-':                'MnO4-',
    'MnO4-2':               'MnO4-2',
    'MnSO4,aq':             'MnSO4(aq)',
    'HMoO4-':               'HMoO4-',
    'MoO4-2':               'MoO4-2',
    'N2,aq':                'N2(aq)',
    'NH3,aq':               'NH3(aq)',
    'NH4+':                 'NH4+',
    'NO2-':                 'NO2-',
    'NO3-':                 'NO3-',
    'Na+':                  'Na+',
    'NaAl(OH)4,aq':         'NaAl(OH)4(aq)',
    'NaBr,aq':              'NaBr(aq)',
    'NaCl,aq':              'NaCl(aq)',
    'NaF,aq':               'NaF(aq)',
    'NaHSiO3,aq':           'NaHSiO3(aq)',
    'NaI,aq':               'NaI(aq)',
    'NaOH,aq':              'NaOH(aq)',
    'Nd+2':                 'Nd+2',
    'Nd+3':                 'Nd+3',
    'Nd+4':                 'Nd+4',
    'Ne,aq':                'Ne(aq)',
    'Ni+2':                 'Ni+2',
    'NiCl+':                'NiCl+',
    'NiOH+':                'NiOH+',
    'NiO,aq':               'NiO(aq)',
    'HNiO2-':               'HNiO2-',
    'NiO2-2':               'NiO2-2',
    'O2,aq':                'O2(aq)',
    'OH-':                  'OH-',
    'PO4-3':                'PO4-3',
    'Pb+2':                 'Pb+2',
    'PbCl+':                'PbCl+',
    'PbCl2,aq':             'PbCl2(aq)',
    'PbCl3-':               'PbCl3-',
    'PbCl4-2':              'PbCl4-2',
    'PbOH+':                'PbOH+',
    'PbO,aq':               'PbO(aq)',
    'HPbO2-':               'HPbO2-',
    'Pd(OH)+':              'Pd(OH)+',
    'PdSO4,aq':             'PdSO4(aq)',
    'Pd(SO4)2-2':           'Pd(SO4)2-2',
    'Pd(SO4)3-4':           'Pd(SO4)3-4',
    'Pd+2':                 'Pd+2',
    'PdCl+':                'PdCl+',
    'PdCl2,aq':             'PdCl2(aq)',
    'PdCl3-':               'PdCl3-',
    'PdCl4-2':              'PdCl4-2',
    'PdO,aq':               'PdO(aq)',
    'Pr+2':                 'Pr+2',
    'Pr+3':                 'Pr+3',
    'Pr+4':                 'Pr+4',
    'Pt(OH)+':              'Pt(OH)+',
    'PtSO4,aq':             'PtSO4(aq)',
    'Pt(SO4)2-2':           'Pt(SO4)2-2',
    'Pt(SO4)3-4':           'Pt(SO4)3-4',
    'Pt+2':                 'Pt+2',
    'PtCl+':                'PtCl+',
    'PtCl2,aq':             'PtCl2(aq)',
    'PtCl3-':               'PtCl3-',
    'PtCl4-2':              'PtCl4-2',
    'PtO,aq':               'PtO(aq)',
    'Ra+2':                 'Ra+2',
    'Rb+':                  'Rb+',
    'RbBr,aq':              'RbBr(aq)',
    'RbCl,aq':              'RbCl(aq)',
    'RbF,aq':               'RbF(aq)',
    'RbI,aq':               'RbI(aq)',
    'RbOH,aq':              'RbOH(aq)',
    'ReO4-':                'ReO4-',
    'Rh(OH)+':              'Rh(OH)+',
    'Rh(OH)+2':             'Rh(OH)+2',
    'RhSO4,aq':             'RhSO4(aq)',
    'Rh(SO4)+':             'Rh(SO4)+',
    'Rh(SO4)2-':            'Rh(SO4)2-',
    'Rh(SO4)2-2':           'Rh(SO4)2-2',
    'Rh(SO4)3-3':           'Rh(SO4)3-3',
    'Rh(SO4)3-4':           'Rh(SO4)3-4',
    'Rh+2':                 'Rh+2',
    'Rh+3':                 'Rh+3',
    'RhCl+':                'RhCl+',
    'RhCl+2':               'RhCl+2',
    'RhCl2,aq':             'RhCl2(aq)',
    'RhCl2+':               'RhCl2+',
    'RhCl3,aq':             'RhCl3(aq)',
    'RhCl3-':               'RhCl3-',
    'RhCl4-':               'RhCl4-',
    'RhCl4-2':              'RhCl4-2',
    'RhO,aq':               'RhO(aq)',
    'RhO+':                 'RhO+',
    'Rn,aq':                'Rn(aq)',
    'Ru(OH)+':              'Ru(OH)+',
    'Ru(OH)+2':             'Ru(OH)+2',
    'RuO4-2':               'RuO4-2',
    'RuSO4,aq':             'RuSO4(aq)',
    'Ru(SO4)+':             'Ru(SO4)+',
    'Ru(SO4)2-':            'Ru(SO4)2-',
    'Ru(SO4)2-2':           'Ru(SO4)2-2',
    'Ru(SO4)3-3':           'Ru(SO4)3-3',
    'Ru(SO4)3-4':           'Ru(SO4)3-4',
    'Ru+2':                 'Ru+2',
    'Ru+3':                 'Ru+3',
    'RuCl+':                'RuCl+',
    'RuCl+2':               'RuCl+2',
    'RuCl2,aq':             'RuCl2(aq)',
    'RuCl2+':               'RuCl2+',
    'RuCl3,aq':             'RuCl3(aq)',
    'RuCl3-':               'RuCl3-',
    'RuCl4-':               'RuCl4-',
    'RuCl4-2':              'RuCl4-2',
    'RuCl5-2':              'RuCl5-2',
    'RuCl6-3':              'RuCl6-3',
    'RuO,aq':               'RuO(aq)',
    'RuO+':                 'RuO+',
    'S2-2':                 'S2-2',
    'S2O3-2':               'S2O3-2',
    'HS2O3-':               'HS2O3-',
    'H2S2O3,aq':            'H2S2O3(aq)',
    'S2O4-2':               'S2O4-2',
    'HS2O4-':               'HS2O4-',
    'H2S2O4,aq':            'H2S2O4(aq)',
    'S2O5-2':               'S2O5-2',
    'S2O6-2':               'S2O6-2',
    'S2O8-2':               'S2O8-2',
    'S3-2':                 'S3-2',
    'S3O6-2':               'S3O6-2',
    'S4-2':                 'S4-2',
    'S4O6-2':               'S4O6-2',
    'S5-2':                 'S5-2',
    'S5O6-2':               'S5O6-2',
    'SO2,aq':               'SO2(aq)',
    'SO3-2':                'SO3-2',
    'SO4-2':                'SO4-2',
    'Sc+3':                 'Sc+3',
    'ScOH+2':               'ScOH+2',
    'ScO+':                 'ScO+',
    'HScO2,aq':             'HScO2(aq)',
    'ScO2-':                'ScO2-',
    'SeO3-2':               'SeO3-2',
    'SeO4-2':               'SeO4-2',
    'SiF6-2':               'SiF6-2',
    'SiO2,aq':              'SiO2(aq)',
    'Sm+2':                 'Sm+2',
    'Sm+3':                 'Sm+3',
    'Sm+4':                 'Sm+4',
    'Sn+2':                 'Sn+2',
    'SnO,aq':               'SnO(aq)',
    'SnOH+':                'SnOH+',
    'HSnO2-':               'HSnO2-',
    'Sr(HCO3)+':            'Sr(HCO3)+',
    'Sr+2':                 'Sr+2',
    'SrCl+':                'SrCl+',
    'SrF+':                 'SrF+',
    'SrOH+':                'SrOH+',
    'Tb+2':                 'Tb+2',
    'Tb+3':                 'Tb+3',
    'Tb+4':                 'Tb+4',
    'Th+4':                 'Th+4',
    'Tl+':                  'Tl+',
    'Tl+3':                 'Tl+3',
    'TlOH,aq':              'TlOH(aq)',
    'TlOH+2':               'TlOH+2',
    'TlO+':                 'TlO+',
    'HTlO2,aq':             'HTlO2(aq)',
    'TlO2-':                'TlO2-',
    'Tm+2':                 'Tm+2',
    'Tm+3':                 'Tm+3',
    'Tm+4':                 'Tm+4',
    'U+3':                  'U+3',
    'U+4':                  'U+4',
    'UO2+':                 'UO2+',
    'UO2+2':                'UO2+2',
    'VO+':                  'VO+',
    'VO+2':                 'VO+2',
    'VOH+':                 'VOH+',
    'VOH+2':                'VOH+2',
    'VO2+':                 'VO2+',
    'VOOH+':                'Vooh+',
    'WO4-2':                'WO4-2',
    'HWO4-':                'HWO4-',
    'Xe,aq':                'Xe(aq)',
    'Y+3':                  'Y+3',
    'YOH+2':                'YOH+2',
    'YO+':                  'YO+',
    'HYO2,aq':              'HYO2(aq)',
    'YO2-':                 'YO2-',
    'Yb+2':                 'Yb+2',
    'Yb+3':                 'Yb+3',
    'Yb+4':                 'Yb+4',
    'Zn+2':                 'Zn+2',
    'ZnCl+':                'ZnCl+',
    'ZnCl2,aq':             'ZnCl2(aq)',
    'ZnCl3-':               'ZnCl3-',
    'ZnOH+':                'ZnOH+',
    'ZnO,aq':               'ZnO(aq)',
    'HZnO2-':               'HZnO2-',
    'ZnO2-2':               'ZnO2-2',
    'U(OH)+2':              'U(OH)+2',
    'UO+':                  'UO+',
    'HUO2,aq':              'HUO2(aq)',
    'U(OH)+3':              'U(OH)+3',
    'UO+2':                 'UO+2',
    'HUO2+':                'HUO2+',
    'UO2,aq':               'UO2(aq)',
    'HUO3-':                'HUO3-',
    'UO2OH,aq':             'UO2OH(aq)',
    'UO3-':                 'UO3-',
    'UO2OH+':               'UO2OH+',
    'UO3,aq':               'UO3(aq)',
    'HUO4-':                'HUO4-',
    'UO4-2':                'UO4-2',
    'Fr+':                  'Fr+',
    'HNO2,aq':              'HNO2(aq)',
    'H2N2O2,aq':            'H2N2O2(aq)',
    'HN2O2-':               'HN2O2-',
    'N2O2-2':               'N2O2-2',
    'N2H5+':                'N2H5+',
    'N2H6+2':               'N2H6+2',
    'H3PO2,aq':             'H3PO2(aq)',
    'H2PO2-':               'H2PO2-',
    'H3PO3,aq':             'H3PO3(aq)',
    'H2PO3-':               'H2PO3-',
    'HPO3-2':               'HPO3-2',
    'P2O7-4':               'P2O7-4',
    'HP2O7-3':              'HP2O7-3',
    'H4P2O7,aq':            'H4P2O7(aq)',
    'AsO4-3':               'AsO4-3',
    'H3AsO4,aq':            'H3AsO4(aq)',
    'H2AsO4-':              'H2AsO4-',
    'HAsO4-2':              'HAsO4-2',
    'HAsO2,aq':             'HAsO2(aq)',
    'H2AsO3-':              'H2AsO3-',
    'HAsO3-2':              'HAsO3-2',
    'AsO3-3':               'AsO3-3',
    'As3S4(HS)2-':          'As3S4(HS)2-',
    'HSbO2,aq':             'HSbO2(aq)',
    'SbO2-':                'SbO2-',
    'Bi+3':                 'Bi+3',
    'BiO+':                 'BiO+',
    'BiOH+2':               'BiOH+2',
    'HBiO2,aq':             'HBiO2(aq)',
    'BiO2-':                'BiO2-',
    'H2O2,aq':              'H2O2(aq)',
    'HClO2,aq':             'HClO2(aq)',
    'HIO3,aq':              'HIO3(aq)',
    'V+2':                  'V+2',
    'V+3':                  'V+3',
    'VO4-3':                'VO4-3',
    'Cr+2':                 'Cr+2',
    'Cr+3':                 'Cr+3',
    'CrOH+2':               'CrOH+2',
    'CrO+':                 'CrO+',
    'HCrO2,aq':             'HCrO2(aq)',
    'CrO2-':                'CrO2-',
    'Zr+4':                 'Zr+4',
    'Zr(OH)+3':             'Zr(OH)+3',
    'ZrO+2':                'ZrO+2',
    'HZrO2+':               'HZrO2+',
    'ZrO2,aq':              'ZrO2(aq)',
    'HZrO3-':               'HZrO3-',
    'HNbO3,aq':             'HNbO3(aq)',
    'NbO3-':                'NbO3-',
    'TcO4-':                'TcO4-',
    'Pm+2':                 'Pm+2',
    'Pm+3':                 'Pm+3',
    'Pm+4':                 'Pm+4',
    'Hf+4':                 'Hf+4',
    'HfOH+3':               'HfOH+3',
    'HfO+2':                'HfO+2',
    'HHfO2+':               'HHfO2+',
    'HfO2,aq':              'HfO2(aq)',
    'HHfO3-':               'HHfO3-',
    'La+2':                 'La+2',
    'LaCO3+':               'LaCO3+',
    'LaHCO3+2':             'LaHCO3+2',
    'LaOH+2':               'LaOH+2',
    'LaO+':                 'LaO+',
    'LaO2H,aq':             'LaO2H(aq)',
    'LaO2-':                'LaO2-',
    'LaCl+2':               'LaCl+2',
    'LaCl2+':               'LaCl2+',
    'LaCl3,aq':             'LaCl3(aq)',
    'LaCl4-':               'LaCl4-',
    'LaNO3+2':              'LaNO3+2',
    'LaF+2':                'LaF+2',
    'LaF2+':                'LaF2+',
    'LaF3,aq':              'LaF3(aq)',
    'LaF4-':                'LaF4-',
    'LaH2PO4+2':            'LaH2PO4+2',
    'LaSO4+':               'LaSO4+',
    'CeCO3+':               'CeCO3+',
    'CeHCO3+2':             'CeHCO3+2',
    'CeOH+2':               'CeOH+2',
    'CeO+':                 'CeO+',
    'CeO2H,aq':             'CeO2H(aq)',
    'CeO2-':                'CeO2-',
    'CeCl+2':               'CeCl+2',
    'CeCl2+':               'CeCl2+',
    'CeCl3,aq':             'CeCl3(aq)',
    'CeCl4-':               'CeCl4-',
    'CeH2PO4+2':            'CeH2PO4+2',
    'CeNO3+2':              'CeNO3+2',
    'CeF+2':                'CeF+2',
    'CeF2+':                'CeF2+',
    'CeF3,aq':              'CeF3(aq)',
    'CeF4-':                'CeF4-',
    'CeBr+2':               'CeBr+2',
    'CeIO3+2':              'CeIO3+2',
    'CeClO4+2':             'CeClO4+2',
    'CeSO4+':               'CeSO4+',
    'PrCO3+':               'PrCO3+',
    'PrHCO3+2':             'PrHCO3+2',
    'PrCl+2':               'PrCl+2',
    'PrCl2+':               'PrCl2+',
    'PrCl3,aq':             'PrCl3(aq)',
    'PrCl4-':               'PrCl4-',
    'PrH2PO4+2':            'PrH2PO4+2',
    'PrNO3+2':              'PrNO3+2',
    'PrF+2':                'PrF+2',
    'PrF2+':                'PrF2+',
    'PrF3,aq':              'PrF3(aq)',
    'PrF4-':                'PrF4-',
    'PrOH+2':               'PrOH+2',
    'PrO+':                 'PrO+',
    'PrO2H,aq':             'PrO2H(aq)',
    'PrO2-':                'PrO2-',
    'PrSO4+':               'PrSO4+',
    'NdCO3+':               'NdCO3+',
    'NdHCO3+2':             'NdHCO3+2',
    'NdOH+2':               'NdOH+2',
    'NdO+':                 'NdO+',
    'NdO2H,aq':             'NdO2H(aq)',
    'NdO2-':                'NdO2-',
    'NdCl+2':               'NdCl+2',
    'NdCl2+':               'NdCl2+',
    'NdCl3,aq':             'NdCl3(aq)',
    'NdCl4-':               'NdCl4-',
    'NdH2PO4+2':            'NdH2PO4+2',
    'NdNO3+2':              'NdNO3+2',
    'NdF+2':                'NdF+2',
    'NdF2+':                'NdF2+',
    'NdF3,aq':              'NdF3(aq)',
    'NdF4-':                'NdF4-',
    'NdSO4+':               'NdSO4+',
    'SmCO3+':               'SmCO3+',
    'SmOH+2':               'SmOH+2',
    'SmO+':                 'SmO+',
    'SmO2H,aq':             'SmO2H(aq)',
    'SmO2-':                'SmO2-',
    'SmHCO3+2':             'SmHCO3+2',
    'SmCl+2':               'SmCl+2',
    'SmCl2+':               'SmCl2+',
    'SmCl3,aq':             'SmCl3(aq)',
    'SmCl4-':               'SmCl4-',
    'SmH2PO4+2':            'SmH2PO4+2',
    'SmNO3+2':              'SmNO3+2',
    'SmF+2':                'SmF+2',
    'SmF2+':                'SmF2+',
    'SmF3,aq':              'SmF3(aq)',
    'SmF4-':                'SmF4-',
    'SmSO4+':               'SmSO4+',
    'EuCO3+':               'EuCO3+',
    'EuOH+2':               'EuOH+2',
    'EuO+':                 'EuO+',
    'EuO2H,aq':             'EuO2H(aq)',
    'EuO2-':                'EuO2-',
    'EuHCO3+2':             'EuHCO3+2',
    'EuCl+2':               'EuCl+2',
    'EuCl2+':               'EuCl2+',
    'EuCl3,aq':             'EuCl3(aq)',
    'EuCl4-':               'EuCl4-',
    'EuF+':                 'EuF+',
    'EuF2,aq':              'EuF2(aq)',
    'EuF3-':                'EuF3-',
    'EuF4-2':               'EuF4-2',
    'EuCl+':                'EuCl+',
    'EuCl2,aq':             'EuCl2(aq)',
    'EuCl3-':               'EuCl3-',
    'EuCl4-2':              'EuCl4-2',
    'EuH2PO4+2':            'EuH2PO4+2',
    'EuNO3+2':              'EuNO3+2',
    'EuF+2':                'EuF+2',
    'EuF2+':                'EuF2+',
    'EuF3,aq':              'EuF3(aq)',
    'EuF4-':                'EuF4-',
    'EuSO4+':               'EuSO4+',
    'GdCO3+':               'GdCO3+',
    'GdOH+2':               'GdOH+2',
    'GdO+':                 'GdO+',
    'GdO2H,aq':             'GdO2H(aq)',
    'GdO2-':                'GdO2-',
    'GdHCO3+2':             'GdHCO3+2',
    'GdCl+2':               'GdCl+2',
    'GdCl2+':               'GdCl2+',
    'GdCl3,aq':             'GdCl3(aq)',
    'GdCl4-':               'GdCl4-',
    'GdH2PO4+2':            'GdH2PO4+2',
    'GdNO3+2':              'GdNO3+2',
    'GdF+2':                'GdF+2',
    'GdF2+':                'GdF2+',
    'GdF3,aq':              'GdF3(aq)',
    'GdF4-':                'GdF4-',
    'GdSO4+':               'GdSO4+',
    'TbCO3+':               'TbCO3+',
    'TbOH+2':               'TbOH+2',
    'TbO+':                 'TbO+',
    'TbO2H,aq':             'TbO2H(aq)',
    'TbO2-':                'TbO2-',
    'TbHCO3+2':             'TbHCO3+2',
    'TbCl+2':               'TbCl+2',
    'TbCl2+':               'TbCl2+',
    'TbCl3,aq':             'TbCl3(aq)',
    'TbCl4-':               'TbCl4-',
    'TbH2PO4+2':            'TbH2PO4+2',
    'TbNO3+2':              'TbNO3+2',
    'TbF+2':                'TbF+2',
    'TbF2+':                'TbF2+',
    'TbF3,aq':              'TbF3(aq)',
    'TbF4-':                'TbF4-',
    'TbSO4+':               'TbSO4+',
    'DyCO3+':               'DyCO3+',
    'DyHCO3+2':             'DyHCO3+2',
    'DyCl+2':               'DyCl+2',
    'DyCl2+':               'DyCl2+',
    'DyCl3,aq':             'DyCl3(aq)',
    'DyCl4-':               'DyCl4-',
    'DyH2PO4+2':            'DyH2PO4+2',
    'DyNO3+2':              'DyNO3+2',
    'DyF+2':                'DyF+2',
    'DyF2+':                'DyF2+',
    'DyF3,aq':              'DyF3(aq)',
    'DyF4-':                'DyF4-',
    'DyOH+2':               'DyOH+2',
    'DyO+':                 'DyO+',
    'DyO2H,aq':             'DyO2H(aq)',
    'DyO2-':                'DyO2-',
    'DySO4+':               'DySO4+',
    'HoCO3+':               'HoCO3+',
    'HoHCO3+2':             'HoHCO3+2',
    'HoCl+2':               'HoCl+2',
    'HoCl2+':               'HoCl2+',
    'HoCl3,aq':             'HoCl3(aq)',
    'HoCl4-':               'HoCl4-',
    'HoH2PO4+2':            'HoH2PO4+2',
    'HoNO3+2':              'HoNO3+2',
    'HoF+2':                'HoF+2',
    'HoF2+':                'HoF2+',
    'HoF3,aq':              'HoF3(aq)',
    'HoF4-':                'HoF4-',
    'HoOH+2':               'HoOH+2',
    'HoO+':                 'HoO+',
    'HoO2H,aq':             'HoO2H(aq)',
    'HoO2-':                'HoO2-',
    'HoSO4+':               'HoSO4+',
    'ErCO3+':               'ErCO3+',
    'ErHCO3+2':             'ErHCO3+2',
    'ErCl+2':               'ErCl+2',
    'ErCl2+':               'ErCl2+',
    'ErCl3,aq':             'ErCl3(aq)',
    'ErCl4-':               'ErCl4-',
    'ErH2PO4+2':            'ErH2PO4+2',
    'ErNO3+2':              'ErNO3+2',
    'ErF+2':                'ErF+2',
    'ErF2+':                'ErF2+',
    'ErF3,aq':              'ErF3(aq)',
    'ErF4-':                'ErF4-',
    'ErOH+2':               'ErOH+2',
    'ErO+':                 'ErO+',
    'ErO2H,aq':             'ErO2H(aq)',
    'ErO2-':                'ErO2-',
    'ErSO4+':               'ErSO4+',
    'TmCO3+':               'TmCO3+',
    'TmHCO3+2':             'TmHCO3+2',
    'TmCl+2':               'TmCl+2',
    'TmCl2+':               'TmCl2+',
    'TmCl3,aq':             'TmCl3(aq)',
    'TmCl4-':               'TmCl4-',
    'TmH2PO4+2':            'TmH2PO4+2',
    'TmNO3+2':              'TmNO3+2',
    'TmF+2':                'TmF+2',
    'TmF2+':                'TmF2+',
    'TmF3,aq':              'TmF3(aq)',
    'TmF4-':                'TmF4-',
    'TmOH+2':               'TmOH+2',
    'TmO+':                 'TmO+',
    'TmO2H,aq':             'TmO2H(aq)',
    'TmO2-':                'TmO2-',
    'TmSO4+':               'TmSO4+',
    'YbCO3+':               'YbCO3+',
    'YbOH+2':               'YbOH+2',
    'YbO+':                 'YbO+',
    'YbO2H,aq':             'YbO2H(aq)',
    'YbO2-':                'YbO2-',
    'YbHCO3+2':             'YbHCO3+2',
    'YbCl+2':               'YbCl+2',
    'YbCl2+':               'YbCl2+',
    'YbCl3,aq':             'YbCl3(aq)',
    'YbCl4-':               'YbCl4-',
    'YbH2PO4+2':            'YbH2PO4+2',
    'YbNO3+2':              'YbNO3+2',
    'YbF+2':                'YbF+2',
    'YbF2+':                'YbF2+',
    'YbF3,aq':              'YbF3(aq)',
    'YbF4-':                'YbF4-',
    'YbSO4+':               'YbSO4+',
    'LuCO3+':               'LuCO3+',
    'LuOH+2':               'LuOH+2',
    'LuO+':                 'LuO+',
    'LuO2H,aq':             'LuO2H(aq)',
    'LuO2-':                'LuO2-',
    'LuHCO3+2':             'LuHCO3+2',
    'LuCl+2':               'LuCl+2',
    'LuCl2+':               'LuCl2+',
    'LuCl3,aq':             'LuCl3(aq)',
    'LuCl4-':               'LuCl4-',
    'LuH2PO4+2':            'LuH2PO4+2',
    'LuNO3+2':              'LuNO3+2',
    'LuF+2':                'LuF+2',
    'LuF2+':                'LuF2+',
    'LuF3,aq':              'LuF3(aq)',
    'LuF4-':                'LuF4-',
    'LuSO4+':               'LuSO4+',
    'NaSO4-':               'NaSO4-',
    'MgSO4,aq':             'MgSO4(aq)',
    'HCl,aq':               'HCl(aq)',
    'MgCO3,aq':             'MgCO3(aq)',
    'CaCO3,aq':             'CaCO3(aq)',
    'SrCO3,aq':             'SrCO3(aq)',
    'BaCO3,aq':             'BaCO3(aq)',
    'BeCl+':                'BeCl+',
    'BeCl2,aq':             'BeCl2(aq)',
    'FeCl+2':               'FeCl+2',
    'CoCl+':                'CoCl+',
    'CuCl,aq':              'CuCl(aq)',
    'CuCl2-':               'CuCl2-',
    'CuCl3-2':              'CuCl3-2',
    'CuCl+':                'CuCl+',
    'CuCl2,aq':             'CuCl2(aq)',
    'CuCl3-':               'CuCl3-',
    'CuCl4-2':              'CuCl4-2',
    'CdCl+':                'CdCl+',
    'CdCl2,aq':             'CdCl2(aq)',
    'CdCl3-':               'CdCl3-',
    'CdCl4-2':              'CdCl4-2',
    'TlCl,aq':              'TlCl(aq)',
    'TlCl+2':               'TlCl+2',
    'AuCl,aq':              'AuCl(aq)',
    'AuCl2-':               'AuCl2-',
    'AuCl3-2':              'AuCl3-2',
    'AuCl4-':               'AuCl4-',
    'HgCl+':                'HgCl+',
    'HgCl2,aq':             'HgCl2(aq)',
    'HgCl3-':               'HgCl3-',
    'HgCl4-2':              'HgCl4-2',
    'InCl+2':               'InCl+2',
    'BeF+':                 'BeF+',
    'BeF2,aq':              'BeF2(aq)',
    'BeF3-':                'BeF3-',
    'BeF4-2':               'BeF4-2',
    'MnF+':                 'MnF+',
    'FeF+':                 'FeF+',
    'FeF+2':                'FeF+2',
    'CoF+':                 'CoF+',
    'NiF+':                 'NiF+',
    'CuF+':                 'CuF+',
    'ZnF+':                 'ZnF+',
    'AgF,aq':               'AgF(aq)',
    'CdF+':                 'CdF+',
    'CdF2,aq':              'CdF2(aq)',
    'BaF+':                 'BaF+',
    'TlF,aq':               'TlF(aq)',
    'HgF+':                 'HgF+',
    'InF+2':                'InF+2',
    'PbF+':                 'PbF+',
    'PbF2,aq':              'PbF2(aq)',
    'Ag(HS)2-':             'Ag(HS)2-',
    'Au(HS)2-':             'Au(HS)2-',
    'Pb(HS)2,aq':           'Pb(HS)2(aq)',
    'Pb(HS)3-':             'Pb(HS)3-',
    'Mg(HSiO3)+':           'Mg(HSiO3)+',
    'Ca(HSiO3)+':           'Ca(HSiO3)+',
    'AlF+2':                'AlF+2',
    'AlF2+':                'AlF2+',
    'AlF3,aq':              'AlF3(aq)',
    'AlF4-':                'AlF4-',
    'Al(OH)2F2-':           'Al(OH)2F2-',
    'Al(OH)2F,aq':          'Al(OH)2F(aq)',
    'Al(OH)F2,aq':          'Al(OH)F2(aq)',
    'AlSO4+':               'AlSO4+',
    'NaAl(OH)3F,aq':        'NaAl(OH)3F(aq)',
    'NaAl(OH)2F2,aq':       'NaAl(OH)2F2(aq)',
    'CH4,aq':               'CH4(aq)',
    'HAcetate,aq':          'H-Acetate(aq)',
    'Acetate-':             'Acetate-',
    '1-BUTANAMINE,aq':      '1-Butanamine(aq)',
    '1-BUTANOL,aq':         '1-Butanol(aq)',
    '1-BUTENE,aq':          '1-Butene(aq)',
    '1-BUTYNE,aq':          '1-Butyne(aq)',
    '1-HEPTANAMINE,aq':     '1-Heptanamine(aq)',
    '1-HEPTANOL,aq':        '1-Heptanol(aq)',
    '1-HEPTENE,aq':         '1-Heptene(aq)',
    '1-HEPTYNE,aq':         '1-Heptyne(aq)',
    '1-HEXANAMINE,aq':      '1-Hexanamine(aq)',
    '1-HEXANOL,aq':         '1-Hexanol(aq)',
    '1-HEXENE,aq':          '1-Hexene(aq)',
    '1-HEXYNE,aq':          '1-Hexyne(aq)',
    '1-OCTANAMINE,aq':      '1-Octanamine(aq)',
    '1-OCTANOL,aq':         '1-Octanol(aq)',
    '1-OCTENE,aq':          '1-Octene(aq)',
    '1-OCTYNE,aq':          '1-Octyne(aq)',
    '1-PENTANAMINE,aq':     '1-Pentanamine(aq)',
    '1-PENTANOL,aq':        '1-Pentanol(aq)',
    '1-PENTENE,aq':         '1-Pentene(aq)',
    '1-PENTYNE,aq':         '1-Pentyne(aq)',
    '1-PROPANAMINE,aq':     '1-Propanamine(aq)',
    '1-PROPANOL,aq':        '1-Propanol(aq)',
    '1-PROPENE,aq':         '1-Propene(aq)',
    '1-PROPYNE,aq':         '1-Propyne(aq)',
    '2-BUTANONE,aq':        '2-Butanone(aq)',
    '2-HEPTANONE,aq':       '2-Heptanone(aq)',
    '2-HEXANONE,aq':        '2-Hexanone(aq)',
    '2-HYDROXYBUTANOATE':   '2-Hydroxybutanoate',
    '2-HYDROXYBUTANOIC,aq': '2-Hydroxybutanoic(aq)',
    '2-HYDROXYDECANOATE':   '2-Hydroxydecanoate',
    '2-HYDROXYDECANOIC,aq': '2-Hydroxydecanoic(aq)',
    '2-HYDROXYHEPTANOIC':   '2-Hydroxyheptanoic',
    '2-HYDROXYHEXANOATE':   '2-Hydroxyhexanoate',
    '2-HYDROXYHEXANOIC,aq': '2-Hydroxyhexanoic(aq)',
    '2-HYDROXYNONANOATE':   '2-Hydroxynonanoate',
    '2-HYDROXYNONANOIC,aq': '2-Hydroxynonanoic(aq)',
    '2-HYDROXYOCTANOATE':   '2-Hydroxyoctanoate',
    '2-HYDROXYOCTANOIC,aq': '2-Hydroxyoctanoic(aq)',
    '2-HYDROXYPENTANOIC':   '2-Hydroxypentanoic',
    '2-OCTANONE,aq':        '2-Octanone(aq)',
    '2-PENTANONE,aq':       '2-Pentanone(aq)',
    'A-AMINOBUTYRIC,aq':    'A-Aminobutyric(aq)',
    'ACETAMIDE,aq':         'Acetamide(aq)',
    'ACETONE,aq':           'Acetone(aq)',
    'ADIPATE':              'Adipate',
    'ADIPIC-ACID,aq':       'Adipic-Acid(aq)',
    'ALANYLGLYCINE,aq':     'Alanylglycine(aq)',
    'ASPARAGINE,aq':        'Asparagine(aq)',
    'ASPARTIC-ACID,aq':     'Aspartic-Acid(aq)',
    'AZELAIC-ACID,aq':      'Azelaic-Acid(aq)',
    'AZELATE':              'Azelate',
    'BENZENE,aq':           'Benzene(aq)',
    'BENZOATE':             'Benzoate',
    'BENZOIC-ACID,aq':      'Benzoic-Acid(aq)',
    'o-CRESOL,aq':          'o-Cresol(aq)',
    'm-CRESOL,aq':          'm-Cresol(aq)',
    'p-CRESOL,aq':          'p-Cresol(aq)',
    'DECANOATE':            'Decanoate',
    'DECANOIC-ACID,aq':     'Decanoic-Acid(aq)',
    '2,3-DMP,aq':           '2,3-DMP(aq)',
    '2,4-DMP,aq':           '2,4-DMP(aq)',
    '2,5-DMP,aq':           '2,5-DMP(aq)',
    '2,6-DMP,aq':           '2,6-DMP(aq)',
    '3,4-DMP,aq':           '3,4-DMP(aq)',
    '3,5-DMP,aq':           '3,5-DMP(aq)',
    'DODECANOATE':          'Dodecanoate',
    'DODECANOIC-ACID,aq':   'Dodecanoic-Acid(aq)',
    'ETHANAMINE,aq':        'Ethanamine(aq)',
    'ETHANE,aq':            'Ethane(aq)',
    'ETHANOL,aq':           'Ethanol(aq)',
    'ETHYLACETATE,aq':      'Ethylacetate(aq)',
    'ETHYLBENZENE,aq':      'Ethylbenzene(aq)',
    'ETHYLENE,aq':          'Ethylene(aq)',
    'ETHYNE,aq':            'Ethyne(aq)',
    'GLUTAMIC-ACID,aq':     'Glutamic-Acid(aq)',
    'GLUTAMINE,aq':         'Glutamine(aq)',
    'GLUTARATE':            'Glutarate',
    'GLUTARIC-ACID,aq':     'Glutaric-Acid(aq)',
    'DIGLYCINE,aq':         'Diglycine(aq)',
    'H-ADIPATE':            'H-Adipate',
    'H-AZELATE':            'H-Azelate',
    'H-GLUTARATE':          'H-Glutarate',
    'H-MALONATE':           'H-Malonate',
    'H-OXALATE':            'H-Oxalate',
    'H-PIMELATE':           'H-Pimelate',
    'H-SEBACATE':           'H-Sebacate',
    'H-SUBERATE':           'H-Suberate',
    'H-SUCCINATE':          'H-Succinate',
    'HEPTANOATE':           'Heptanoate',
    'HEPTANOIC-ACID,aq':    'Heptanoic-Acid(aq)',
    'HEXANOATE':            'Hexanoate',
    'HEXANOIC-ACID,aq':     'Hexanoic-Acid(aq)',
    'ISOLEUCINE,aq':        'Isoleucine(aq)',
    'LEUCINE,aq':           'Leucine(aq)',
    'm-TOLUATE':            'm-Toluate',
    'm-TOLUIC-ACID,aq':     'm-Toluic-Acid(aq)',
    'MALONATE':             'Malonate',
    'MALONIC-ACID,aq':      'Malonic-Acid(aq)',
    'METHANAMINE,aq':       'Methanamine(aq)',
    'METHANOL,aq':          'Methanol(aq)',
    'METHIONINE,aq':        'Methionine(aq)',
    'N-BUTANE,aq':          'n-Butane(aq)',
    'N-BUTYLBENZENE,aq':    'n-Butylbenzene(aq)',
    'N-HEPTANE,aq':         'n-Heptane(aq)',
    'N-HEPTYLBENZENE,aq':   'n-Heptylbenzene(aq)',
    'N-HEXANE,aq':          'n-Hexane(aq)',
    'N-HEXYLBENZENE,aq':    'n-Hexylbenzene(aq)',
    'N-OCTANE,aq':          'n-Octane(aq)',
    'N-OCTYLBENZENE,aq':    'n-Octylbenzene(aq)',
    'N-PENTANE,aq':         'n-Pentane(aq)',
    'N-PENTYLBENZENE,aq':   'n-Pentylbenzene(aq)',
    'N-PROPYLBENZENE,aq':   'n-Propylbenzene(aq)',
    'NONANOATE':            'Nonanoate',
    'NONANOIC-ACID,aq':     'Nonanoic-Acid(aq)',
    'o-TOLUATE':            'o-Toluate',
    'o-TOLUIC-ACID,aq':     'o-Toluic-Acid(aq)',
    'OCTANOATE':            'Octanoate',
    'OCTANOIC-ACID,aq':     'Octanoic-Acid(aq)',
    'OXALATE':              'Oxalate',
    'OXALIC-ACID,aq':       'Oxalic-Acid(aq)',
    'p-TOLUATE':            'p-Toluate',
    'p-TOLUIC-ACID,aq':     'p-Toluic-Acid(aq)',
    'PHENOL,aq':            'Phenol(aq)',
    'PHENYLALANINE,aq':     'Phenylalanine(aq)',
    'PIMELATE':             'Pimelate',
    'PIMELIC-ACID,aq':      'Pimelic-Acid(aq)',
    'PROPANE,aq':           'Propane(aq)',
    'SEBACATE':             'Sebacate',
    'SEBACIC-ACID,aq':      'Sebacic-Acid(aq)',
    'SERINE,aq':            'Serine(aq)',
    'SUBERATE':             'Suberate',
    'SUBERIC-ACID,aq':      'Suberic-Acid(aq)',
    'SUCCINATE':            'Succinate',
    'SUCCINIC-ACID,aq':     'Succinic-Acid(aq)',
    'THREONINE,aq':         'Threonine(aq)',
    'TOLUENE,aq':           'Toluene(aq)',
    'TRYPTOPHAN,aq':        'Tryptophan(aq)',
    'TYROSINE,aq':          'Tyrosine(aq)',
    'UNDECANOATE':          'Undecanoate',
    'UNDECANOIC-ACID,aq':   'Undecanoic-Acid(aq)',
    'UREA,aq':              'Urea(aq)',
    'VALINE,aq':            'Valine(aq)',
    'ACETALDEHYDE,aq':      'Acetaldehyde(aq)',
    'BUTANAL,aq':           'Butanal(aq)',
    'DECANAL,aq':           'Decanal(aq)',
    'FORMALDEHYDE,aq':      'Formaldehyde(aq)',
    'HEPTANAL,aq':          'Heptanal(aq)',
    'HEXANAL,aq':           'Hexanal(aq)',
    'NONANAL,aq':           'Nonanal(aq)',
    'OCTANAL,aq':           'Octanal(aq)',
    'PENTANAL,aq':          'Pentanal(aq)',
    'PROPANAL,aq':          'Propanal(aq)',
    'HCN,aq':               'HCN(aq)',
    'CN-':                  'CN-',
    'OCN-':                 'OCN-',
    'SCN-':                 'SCN-',
    'SeCN-':                'SeCN-',
    'Bi(Ac)+2':             'Bi(Ac)+2',
    'Bi(Ac)2+':             'Bi(Ac)2+',
    'Bi(Ac)3,aq':           'Bi(Ac)3(aq)',
    'Dy(Ac)+2':             'Dy(Ac)+2',
    'Dy(Ac)2+':             'Dy(Ac)2+',
    'Dy(Ac)3,aq':           'Dy(Ac)3(aq)',
    'Ho(Ac)+2':             'Ho(Ac)+2',
    'Ho(Ac)2+':             'Ho(Ac)2+',
    'Ho(Ac)3,aq':           'Ho(Ac)3(aq)',
    'Er(Ac)+2':             'Er(Ac)+2',
    'Er(Ac)2+':             'Er(Ac)2+',
    'Er(Ac)3,aq':           'Er(Ac)3(aq)',
    'Tm(Ac)+2':             'Tm(Ac)+2',
    'Tm(Ac)2+':             'Tm(Ac)2+',
    'Tm(Ac)3,aq':           'Tm(Ac)3(aq)',
    'Be(Ac)+':              'Be(Ac)+',
    'Be(Ac)2,aq':           'Be(Ac)2(aq)',
    'Ra(Ac)+':              'Ra(Ac)+',
    'Ra(Ac)2,aq':           'Ra(Ac)2(aq)',
    'Au(Ac),aq':            'Au(Ac)(aq)',
    'Au(Ac)2-':             'Au(Ac)2-',
    'Li(Ac),aq':            'Li(Ac)(aq)',
    'Li(Ac)2-':             'Li(Ac)2-',
    'Na(Ac),aq':            'Na(Ac)(aq)',
    'Na(Ac)2-':             'Na(Ac)2-',
    'K(Ac),aq':             'K(Ac)(aq)',
    'K(Ac)2-':              'K(Ac)2-',
    'Mg(Ac)+':              'Mg(Ac)+',
    'Mg(Ac)2,aq':           'Mg(Ac)2(aq)',
    'Sr(Ac)+':              'Sr(Ac)+',
    'Sr(Ac)2,aq':           'Sr(Ac)2(aq)',
    'Ba(Ac)+':              'Ba(Ac)+',
    'Ba(Ac)2,aq':           'Ba(Ac)2(aq)',
    'Cu(Ac),aq':            'Cu(Ac)(aq)',
    'Cu(Ac)2-':             'Cu(Ac)2-',
    'Rb(Ac),aq':            'Rb(Ac)(aq)',
    'Rb(Ac)2-':             'Rb(Ac)2-',
    'Tl(Ac),aq':            'Tl(Ac)(aq)',
    'Tl(Ac)2-':             'Tl(Ac)2-',
    'Cs(Ac),aq':            'Cs(Ac)(aq)',
    'Cs(Ac)2-':             'Cs(Ac)2-',
    'Pb(Ac)+':              'Pb(Ac)+',
    'Pb(Ac)2,aq':           'Pb(Ac)2(aq)',
    'Mn(Ac)+':              'Mn(Ac)+',
    'Mn(Ac)2,aq':           'Mn(Ac)2(aq)',
    'Mn(Ac)3-':             'Mn(Ac)3-',
    'Co(Ac)+':              'Co(Ac)+',
    'Co(Ac)2,aq':           'Co(Ac)2(aq)',
    'Co(Ac)3-':             'Co(Ac)3-',
    'Ni(Ac)+':              'Ni(Ac)+',
    'Ni(Ac)2,aq':           'Ni(Ac)2(aq)',
    'Ni(Ac)3-':             'Ni(Ac)3-',
    'Cu(Ac)+':              'Cu(Ac)+',
    'Cu(Ac)2,aq':           'Cu(Ac)2(aq)',
    'Cu(Ac)3-':             'Cu(Ac)3-',
    'NH4(Ac),aq':           'NH4(Ac)(aq)',
    'NH4(Ac)2-':            'NH4(Ac)2-',
    'UO2(Ac)+':             'UO2(Ac)+',
    'UO2(Ac)2,aq':          'UO2(Ac)2(aq)',
    'UO2(Ac)3-':            'UO2(Ac)3-',
    'Ag(Ac),aq':            'Ag(Ac)(aq)',
    'Ag(Ac)2-':             'Ag(Ac)2-',
    'Cd(Ac)+':              'Cd(Ac)+',
    'Cd(Ac)2,aq':           'Cd(Ac)2(aq)',
    'Cd(Ac)3-':             'Cd(Ac)3-',
    'Hg(Ac)+':              'Hg(Ac)+',
    'Hg(Ac)2,aq':           'Hg(Ac)2(aq)',
    'Hg(Ac)3-':             'Hg(Ac)3-',
    'Sc(Ac)+2':             'Sc(Ac)+2',
    'Sc(Ac)2+':             'Sc(Ac)2+',
    'Sc(Ac)3,aq':           'Sc(Ac)3(aq)',
    'U(Ac)+2':              'U(Ac)+2',
    'U(Ac)2+':              'U(Ac)2+',
    'U(Ac)3,aq':            'U(Ac)3(aq)',
    'Pr(Ac)+2':             'Pr(Ac)+2',
    'Pr(Ac)2+':             'Pr(Ac)2+',
    'Pr(Ac)3,aq':           'Pr(Ac)3(aq)',
    'La(Ac)+2':             'La(Ac)+2',
    'La(Ac)2+':             'La(Ac)2+',
    'La(Ac)3,aq':           'La(Ac)3(aq)',
    'Nd(Ac)+2':             'Nd(Ac)+2',
    'Nd(Ac)2+':             'Nd(Ac)2+',
    'Nd(Ac)3,aq':           'Nd(Ac)3(aq)',
    'Ce(Ac)+2':             'Ce(Ac)+2',
    'Ce(Ac)2+':             'Ce(Ac)2+',
    'Ce(Ac)3,aq':           'Ce(Ac)3(aq)',
    'Gd(Ac)+2':             'Gd(Ac)+2',
    'Gd(Ac)2+':             'Gd(Ac)2+',
    'Gd(Ac)3,aq':           'Gd(Ac)3(aq)',
    'Sm(Ac)+2':             'Sm(Ac)+2',
    'Sm(Ac)2+':             'Sm(Ac)2+',
    'Sm(Ac)3,aq':           'Sm(Ac)3(aq)',
    'Yb(Ac)+2':             'Yb(Ac)+2',
    'Yb(Ac)2+':             'Yb(Ac)2+',
    'Yb(Ac)3,aq':           'Yb(Ac)3(aq)',
    'Eu(Ac)+2':             'Eu(Ac)+2',
    'Eu(Ac)2+':             'Eu(Ac)2+',
    'Eu(Ac)3,aq':           'Eu(Ac)3(aq)',
    'Y(Ac)+2':              'Y(Ac)+2',
    'Y(Ac)2+':              'Y(Ac)2+',
    'Y(Ac)3,aq':            'Y(Ac)3(aq)',
    'Lu(Ac)+2':             'Lu(Ac)+2',
    'Lu(Ac)2+':             'Lu(Ac)2+',
    'Lu(Ac)3,aq':           'Lu(Ac)3(aq)',
    'Tb(Ac)+2':             'Tb(Ac)+2',
    'Tb(Ac)2+':             'Tb(Ac)2+',
    'Tb(Ac)3,aq':           'Tb(Ac)3(aq)',
    'Pb(Ac)3-':             'Pb(Ac)3-',
    'Fe(Ac)+':              'Fe(Ac)+',
    'Fe(Ac)2,aq':           'Fe(Ac)2(aq)',
    'Zn(Ac)+':              'Zn(Ac)+',
    'Zn(Ac)2,aq':           'Zn(Ac)2(aq)',
    'Zn(Ac)3-':             'Zn(Ac)3-',
    'Ca(Ac)+':              'Ca(Ac)+',
    'Ca(Ac)2,aq':           'Ca(Ac)2(aq)',
    'Al(Ac)+2':             'Al(Ac)+2',
    'Al(Ac)2+':             'Al(Ac)2+',
    'Al(Ac)3,aq':           'Al(Ac)3(aq)',
    'LACTATE':              'Lactate',
    'LACTIC-ACID,aq':       'Lactic-Acid(aq)',
    'Li(Lac),aq':           'Li(Lac)(aq)',
    'Mg(Lac)+':             'Mg(Lac)+',
    'Mg(Lac)2,aq':          'Mg(Lac)2(aq)',
    'Ca(Lac)+':             'Ca(Lac)+',
    'Ca(Lac)2,aq':          'Ca(Lac)2(aq)',
    'Sr(Lac)+':             'Sr(Lac)+',
    'Sr(Lac)2,aq':          'Sr(Lac)2(aq)',
    'Ba(Lac)+':             'Ba(Lac)+',
    'Ba(Lac)2,aq':          'Ba(Lac)2(aq)',
    'Mn(Lac)+':             'Mn(Lac)+',
    'Mn(Lac)2,aq':          'Mn(Lac)2(aq)',
    'Co(Lac)+':             'Co(Lac)+',
    'Co(Lac)2,aq':          'Co(Lac)2(aq)',
    'Ni(Lac)+':             'Ni(Lac)+',
    'Ni(Lac)2,aq':          'Ni(Lac)2(aq)',
    'Cu(Lac)+':             'Cu(Lac)+',
    'Cu(Lac)2,aq':          'Cu(Lac)2(aq)',
    'Zn(Lac)+':             'Zn(Lac)+',
    'Zn(Lac)2,aq':          'Zn(Lac)2(aq)',
    'Cd(Lac)+':             'Cd(Lac)+',
    'Cd(Lac)2,aq':          'Cd(Lac)2(aq)',
    'La(Lac)+2':            'La(Lac)+2',
    'Lu(Lac)+2':            'Lu(Lac)+2',
    'Na(Lac),aq':           'Na(Lac)(aq)',
    'Na(Lac)2-':            'Na(Lac)2-',
    'K(Lac),aq':            'K(Lac)(aq)',
    'K(Lac)2-':             'K(Lac)2-',
    'Pb(Lac)+':             'Pb(Lac)+',
    'Pb(Lac)2,aq':          'Pb(Lac)2(aq)',
    'Fe(Lac)+':             'Fe(Lac)+',
    'Fe(Lac)2,aq':          'Fe(Lac)2(aq)',
    'Eu(Lac)+':             'Eu(Lac)+',
    'Eu(Lac)2,aq':          'Eu(Lac)2(aq)',
    'GLYCOLIC-ACID,aq':     'Glycolic-Acid(aq)',
    'GLYCOLATE':            'Glycolate',
    'Li(Glyc),aq':          'Li(Glyc)(aq)',
    'Mg(Glyc)+':            'Mg(Glyc)+',
    'Mg(Glyc)2,aq':         'Mg(Glyc)2(aq)',
    'Ca(Glyc)+':            'Ca(Glyc)+',
    'Ca(Glyc)2,aq':         'Ca(Glyc)2(aq)',
    'Sr(Glyc)+':            'Sr(Glyc)+',
    'Sr(Glyc)2,aq':         'Sr(Glyc)2(aq)',
    'Ba(Glyc)+':            'Ba(Glyc)+',
    'Ba(Glyc)2,aq':         'Ba(Glyc)2(aq)',
    'Mn(Glyc)+':            'Mn(Glyc)+',
    'Mn(Glyc)2,aq':         'Mn(Glyc)2(aq)',
    'Co(Glyc)+':            'Co(Glyc)+',
    'Co(Glyc)2,aq':         'Co(Glyc)2(aq)',
    'Ni(Glyc)+':            'Ni(Glyc)+',
    'Ni(Glyc)2,aq':         'Ni(Glyc)2(aq)',
    'Cu(Glyc)+':            'Cu(Glyc)+',
    'Cu(Glyc)2,aq':         'Cu(Glyc)2(aq)',
    'Zn(Glyc)+':            'Zn(Glyc)+',
    'Zn(Glyc)2,aq':         'Zn(Glyc)2(aq)',
    'Cd(Glyc)+':            'Cd(Glyc)+',
    'Cd(Glyc)2,aq':         'Cd(Glyc)2(aq)',
    'Eu(Glyc)+':            'Eu(Glyc)+',
    'Eu(Glyc)2,aq':         'Eu(Glyc)2(aq)',
    'Na(Glyc),aq':          'Na(Glyc)(aq)',
    'Na(Glyc)2-':           'Na(Glyc)2-',
    'K(Glyc),aq':           'K(Glyc)(aq)',
    'K(Glyc)2-':            'K(Glyc)2-',
    'Pb(Glyc)+':            'Pb(Glyc)+',
    'Pb(Glyc)2,aq':         'Pb(Glyc)2(aq)',
    'Fe(Glyc)+':            'Fe(Glyc)+',
    'Fe(Glyc)2,aq':         'Fe(Glyc)2(aq)',
    'ALANINE,aq':           'Alanine(aq)',
    'ALANATE':              'Alanate',
    'Cd(Alan)+':            'Cd(Alan)+',
    'Cd(Alan)2,aq':         'Cd(Alan)2(aq)',
    'Ca(Alan)+':            'Ca(Alan)+',
    'Ca(Alan)2,aq':         'Ca(Alan)2(aq)',
    'Pb(Alan)+':            'Pb(Alan)+',
    'Pb(Alan)2,aq':         'Pb(Alan)2(aq)',
    'Mg(Alan)+':            'Mg(Alan)+',
    'Mg(Alan)2,aq':         'Mg(Alan)2(aq)',
    'Sr(Alan)+':            'Sr(Alan)+',
    'Sr(Alan)2,aq':         'Sr(Alan)2(aq)',
    'Mn(Alan)+':            'Mn(Alan)+',
    'Mn(Alan)2,aq':         'Mn(Alan)2(aq)',
    'Co(Alan)+':            'Co(Alan)+',
    'Co(Alan)2,aq':         'Co(Alan)2(aq)',
    'Ni(Alan)+':            'Ni(Alan)+',
    'Ni(Alan)2,aq':         'Ni(Alan)2(aq)',
    'Cu(Alan)+':            'Cu(Alan)+',
    'Cu(Alan)2,aq':         'Cu(Alan)2(aq)',
    'Zn(Alan)+':            'Zn(Alan)+',
    'Zn(Alan)2,aq':         'Zn(Alan)2(aq)',
    'Ba(Alan)+':            'Ba(Alan)+',
    'Ba(Alan)2,aq':         'Ba(Alan)2(aq)',
    'Fe(Alan)+':            'Fe(Alan)+',
    'Fe(Alan)2,aq':         'Fe(Alan)2(aq)',
    'Eu(Alan)+':            'Eu(Alan)+',
    'Eu(Alan)2,aq':         'Eu(Alan)2(aq)',
    'GLYCINE,aq':           'Glycine(aq)',
    'GLYCINATE':            'Glycinate',
    'Cd(Gly)+':             'Cd(Gly)+',
    'Cd(Gly)2,aq':          'Cd(Gly)2(aq)',
    'Ca(Gly)+':             'Ca(Gly)+',
    'Ca(Gly)2,aq':          'Ca(Gly)2(aq)',
    'Sr(Gly)+':             'Sr(Gly)+',
    'Sr(Gly)2,aq':          'Sr(Gly)2(aq)',
    'Mn(Gly)+':             'Mn(Gly)+',
    'Mn(Gly)2,aq':          'Mn(Gly)2(aq)',
    'Fe(Gly)+':             'Fe(Gly)+',
    'Fe(Gly)2,aq':          'Fe(Gly)2(aq)',
    'Co(Gly)+':             'Co(Gly)+',
    'Co(Gly)2,aq':          'Co(Gly)2(aq)',
    'Pb(Gly)+':             'Pb(Gly)+',
    'Pb(Gly)2,aq':          'Pb(Gly)2(aq)',
    'Mg(Gly)+':             'Mg(Gly)+',
    'Mg(Gly)2,aq':          'Mg(Gly)2(aq)',
    'Ni(Gly)+':             'Ni(Gly)+',
    'Ni(Gly)2,aq':          'Ni(Gly)2(aq)',
    'Cu(Gly)+':             'Cu(Gly)+',
    'Cu(Gly)2,aq':          'Cu(Gly)2(aq)',
    'Zn(Gly)+':             'Zn(Gly)+',
    'Zn(Gly)2,aq':          'Zn(Gly)2(aq)',
    'Eu(Gly)+':             'Eu(Gly)+',
    'Eu(Gly)2,aq':          'Eu(Gly)2(aq)',
    'Ba(Gly)+':             'Ba(Gly)+',
    'Ba(Gly)2,aq':          'Ba(Gly)2(aq)',
    'FORMIC-ACID,aq':       'Formic-Acid(aq)',
    'FORMATE':              'Formate',
    'Mg(For)+':             'Mg(For)+',
    'Mg(For)2,aq':          'Mg(For)2(aq)',
    'Ca(For)+':             'Ca(For)+',
    'Ca(For)2,aq':          'Ca(For)2(aq)',
    'Sr(For)+':             'Sr(For)+',
    'Sr(For)2,aq':          'Sr(For)2(aq)',
    'Ba(For)+':             'Ba(For)+',
    'Ba(For)2,aq':          'Ba(For)2(aq)',
    'Cu(For)+':             'Cu(For)+',
    'Cu(For)2,aq':          'Cu(For)2(aq)',
    'Cd(For)+':             'Cd(For)+',
    'Cd(For)2,aq':          'Cd(For)2(aq)',
    'Na(For),aq':           'Na(For)(aq)',
    'Na(For)2-':            'Na(For)2-',
    'K(For),aq':            'K(For)(aq)',
    'K(For)2-':             'K(For)2-',
    'La(For)+2':            'La(For)+2',
    'La(For)2+':            'La(For)2+',
    'Eu(For)+':             'Eu(For)+',
    'Eu(For)2,aq':          'Eu(For)2(aq)',
    'U(For)+2':             'U(For)+2',
    'U(For)2+':             'U(For)2+',
    'Eu(For)+2':            'Eu(For)+2',
    'Eu(For)2+':            'Eu(For)2+',
    'Gd(For)+2':            'Gd(For)+2',
    'Gd(For)2+':            'Gd(For)2+',
    'Yb(For)+2':            'Yb(For)+2',
    'Yb(For)2+':            'Yb(For)2+',
    'Pb(For)+':             'Pb(For)+',
    'Pb(For)2,aq':          'Pb(For)2(aq)',
    'Mn(For)+':             'Mn(For)+',
    'Mn(For)2,aq':          'Mn(For)2(aq)',
    'Co(For)+':             'Co(For)+',
    'Co(For)2,aq':          'Co(For)2(aq)',
    'Ni(For)+':             'Ni(For)+',
    'Ni(For)2,aq':          'Ni(For)2(aq)',
    'Zn(For)+':             'Zn(For)+',
    'Zn(For)2,aq':          'Zn(For)2(aq)',
    'Fe(For)+':             'Fe(For)+',
    'Fe(For)2,aq':          'Fe(For)2(aq)',
    'PROPANOIC-ACID,aq':    'Propanoic-Acid(aq)',
    'PROPANOATE':           'Propanoate',
    'Mg(Prop)+':            'Mg(Prop)+',
    'Mg(Prop)2,aq':         'Mg(Prop)2(aq)',
    'Ca(Prop)+':            'Ca(Prop)+',
    'Ca(Prop)2,aq':         'Ca(Prop)2(aq)',
    'Sr(Prop)+':            'Sr(Prop)+',
    'Sr(Prop)2,aq':         'Sr(Prop)2(aq)',
    'Ba(Prop)+':            'Ba(Prop)+',
    'Ba(Prop)2,aq':         'Ba(Prop)2(aq)',
    'Eu(Prop)+':            'Eu(Prop)+',
    'Eu(Prop)2,aq':         'Eu(Prop)2(aq)',
    'Cu(Prop)+':            'Cu(Prop)+',
    'Cu(Prop)2,aq':         'Cu(Prop)2(aq)',
    'Cd(Prop)+':            'Cd(Prop)+',
    'Cd(Prop)2,aq':         'Cd(Prop)2(aq)',
    'Pb(Prop)+':            'Pb(Prop)+',
    'Pb(Prop)2,aq':         'Pb(Prop)2(aq)',
    'Na(Prop),aq':          'Na(Prop)(aq)',
    'Na(Prop)2-':           'Na(Prop)2-',
    'K(Prop),aq':           'K(Prop)(aq)',
    'K(Prop)2-':            'K(Prop)2-',
    'La(Prop)+2':           'La(Prop)+2',
    'La(Prop)2+':           'La(Prop)2+',
    'Eu(Prop)+2':           'Eu(Prop)+2',
    'Eu(Prop)2+':           'Eu(Prop)2+',
    'Gd(Prop)+2':           'Gd(Prop)+2',
    'Gd(Prop)2+':           'Gd(Prop)2+',
    'Yb(Prop)+2':           'Yb(Prop)+2',
    'Yb(Prop)2+':           'Yb(Prop)2+',
    'U(Prop)+2':            'U(Prop)+2',
    'U(Prop)2+':            'U(Prop)2+',
    'Co(Prop)+':            'Co(Prop)+',
    'Co(Prop)2,aq':         'Co(Prop)2(aq)',
    'Ni(Prop)+':            'Ni(Prop)+',
    'Ni(Prop)2,aq':         'Ni(Prop)2(aq)',
    'Zn(Prop)+':            'Zn(Prop)+',
    'Zn(Prop)2,aq':         'Zn(Prop)2(aq)',
    'Fe(Prop)+':            'Fe(Prop)+',
    'Fe(Prop)2,aq':         'Fe(Prop)2(aq)',
    'Mn(Prop)+':            'Mn(Prop)+',
    'Mn(Prop)2,aq':         'Mn(Prop)2(aq)',
    'BUTANOIC-ACID,aq':     'Butanoic-Acid(aq)',
    'BUTANOATE':            'Butanoate',
    'U(But)+2':             'U(But)+2',
    'U(But)2+':             'U(But)2+',
    'Eu(But)+':             'Eu(But)+',
    'Eu(But)2,aq':          'Eu(But)2(aq)',
    'Mg(But)+':             'Mg(But)+',
    'Ca(But)+':             'Ca(But)+',
    'Ca(But)2,aq':          'Ca(But)2(aq)',
    'Sr(But)+':             'Sr(But)+',
    'Sr(But)2,aq':          'Sr(But)2(aq)',
    'Ba(But)+':             'Ba(But)+',
    'Ba(But)2,aq':          'Ba(But)2(aq)',
    'Cu(But)+':             'Cu(But)+',
    'Cu(But)2,aq':          'Cu(But)2(aq)',
    'Cd(But)+':             'Cd(But)+',
    'Cd(But)2,aq':          'Cd(But)2(aq)',
    'Na(But),aq':           'Na(But)(aq)',
    'Na(But)2-':            'Na(But)2-',
    'K(But),aq':            'K(But)(aq)',
    'K(But)2-':             'K(But)2-',
    'La(But)+2':            'La(But)+2',
    'La(But)2+':            'La(But)2+',
    'Eu(But)+2':            'Eu(But)+2',
    'Eu(But)2+':            'Eu(But)2+',
    'Gd(But)+2':            'Gd(But)+2',
    'Gd(But)2+':            'Gd(But)2+',
    'Yb(But)+2':            'Yb(But)+2',
    'Yb(But)2+':            'Yb(But)2+',
    'Pb(But)+':             'Pb(But)+',
    'Pb(But)2,aq':          'Pb(But)2(aq)',
    'Mn(But)+':             'Mn(But)+',
    'Mn(But)2,aq':          'Mn(But)2(aq)',
    'Ni(But)+':             'Ni(But)+',
    'Ni(But)2,aq':          'Ni(But)2(aq)',
    'Zn(But)+':             'Zn(But)+',
    'Zn(But)2,aq':          'Zn(But)2(aq)',
    'Fe(But)+':             'Fe(But)+',
    'Fe(But)2,aq':          'Fe(But)2(aq)',
    'Co(But)+':             'Co(But)+',
    'Co(But)2,aq':          'Co(But)2(aq)',
    'PENTANOIC-ACID,aq':    'Pentanoic-Acid(aq)',
    'PENTANOATE':           'Pentanoate',
    'Ca(Pent)+':            'Ca(Pent)+',
    'Ca(Pent)2,aq':         'Ca(Pent)2(aq)',
    'Sr(Pent)+':            'Sr(Pent)+',
    'Sr(Pent)2,aq':         'Sr(Pent)2(aq)',
    'Ba(Pent)+':            'Ba(Pent)+',
    'Ba(Pent)2,aq':         'Ba(Pent)2(aq)',
    'Cu(Pent)+':            'Cu(Pent)+',
    'Cu(Pent)2,aq':         'Cu(Pent)2(aq)',
    'Na(Pent),aq':          'Na(Pent)(aq)',
    'Na(Pent)2-':           'Na(Pent)2-',
    'K(Pent),aq':           'K(Pent)(aq)',
    'K(Pent)2-':            'K(Pent)2-',
    'La(Pent)+2':           'La(Pent)+2',
    'La(Pent)2+':           'La(Pent)2+',
    'Eu(Pent)+2':           'Eu(Pent)+2',
    'Eu(Pent)2+':           'Eu(Pent)2+',
    'U(Pent)+2':            'U(Pent)+2',
    'Eu(Pent)+':            'Eu(Pent)+',
    'Gd(Pent)+2':           'Gd(Pent)+2',
    'Gd(Pent)2+':           'Gd(Pent)2+',
    'Yb(Pent)+2':           'Yb(Pent)+2',
    'Yb(Pent)2+':           'Yb(Pent)2+',
    'Mg(Pent)+':            'Mg(Pent)+',
    'Mg(Pent)2,aq':         'Mg(Pent)2(aq)',
    'Pb(Pent)+':            'Pb(Pent)+',
    'Pb(Pent)2,aq':         'Pb(Pent)2(aq)',
    'Co(Pent)+':            'Co(Pent)+',
    'Co(Pent)2,aq':         'Co(Pent)2(aq)',
    'Ni(Pent)+':            'Ni(Pent)+',
    'Ni(Pent)2,aq':         'Ni(Pent)2(aq)',
    'Zn(Pent)+':            'Zn(Pent)+',
    'Zn(Pent)2,aq':         'Zn(Pent)2(aq)',
    'Cd(Pent)+':            'Cd(Pent)+',
    'Cd(Pent)2,aq':         'Cd(Pent)2(aq)',
    'Fe(Pent)+':            'Fe(Pent)+',
    'Fe(Pent)2,aq':         'Fe(Pent)2(aq)',
    'Mn(Pent)+':            'Mn(Pent)+',
    'Mn(Pent)2,aq':         'Mn(Pent)2(aq)',
    'Mg(But)2,aq':          'Mg(But)2(aq)',
    'H4SiO4,aq':            'H4SiO4(aq)'
}

supcrtbl_organic_species = [
    "CH4,aq",
    "HAcetate,aq",
    "Acetate-",
    "1-BUTANAMINE,aq",
    "1-BUTANOL,aq",
    "1-BUTENE,aq",
    "1-BUTYNE,aq",
    "1-HEPTANAMINE,aq",
    "1-HEPTANOL,aq",
    "1-HEPTENE,aq",
    "1-HEPTYNE,aq",
    "1-HEXANAMINE,aq",
    "1-HEXANOL,aq",
    "1-HEXENE,aq",
    "1-HEXYNE,aq",
    "1-OCTANAMINE,aq",
    "1-OCTANOL,aq",
    "1-OCTENE,aq",
    "1-OCTYNE,aq",
    "1-PENTANAMINE,aq",
    "1-PENTANOL,aq",
    "1-PENTENE,aq",
    "1-PENTYNE,aq",
    "1-PROPANAMINE,aq",
    "1-PROPANOL,aq",
    "1-PROPENE,aq",
    "1-PROPYNE,aq",
    "2-BUTANONE,aq",
    "2-HEPTANONE,aq",
    "2-HEXANONE,aq",
    "2-HYDROXYBUTANOATE",
    "2-HYDROXYBUTANOIC,aq",
    "2-HYDROXYDECANOATE",
    "2-HYDROXYDECANOIC,aq",
    "2-HYDROXYHEPTANOIC",
    "2-HYDROXYHEXANOATE",
    "2-HYDROXYHEXANOIC,aq",
    "2-HYDROXYNONANOATE",
    "2-HYDROXYNONANOIC,aq",
    "2-HYDROXYOCTANOATE",
    "2-HYDROXYOCTANOIC,aq",
    "2-HYDROXYPENTANOIC",
    "2-OCTANONE,aq",
    "2-PENTANONE,aq",
    "A-AMINOBUTYRIC,aq",
    "ACETAMIDE,aq",
    "ACETONE,aq",
    "ADIPATE",
    "ADIPIC-ACID,aq",
    "ALANYLGLYCINE,aq",
    "ASPARAGINE,aq",
    "ASPARTIC-ACID,aq",
    "AZELAIC-ACID,aq",
    "AZELATE",
    "BENZENE,aq",
    "BENZOATE",
    "BENZOIC-ACID,aq",
    "o-CRESOL,aq",
    "m-CRESOL,aq",
    "p-CRESOL,aq",
    "DECANOATE",
    "DECANOIC-ACID,aq",
    "2,3-DMP,aq",
    "2,4-DMP,aq",
    "2,5-DMP,aq",
    "2,6-DMP,aq",
    "3,4-DMP,aq",
    "3,5-DMP,aq",
    "DODECANOATE",
    "DODECANOIC-ACID,aq",
    "ETHANAMINE,aq",
    "ETHANE,aq",
    "ETHANOL,aq",
    "ETHYLACETATE,aq",
    "ETHYLBENZENE,aq",
    "ETHYLENE,aq",
    "ETHYNE,aq",
    "GLUTAMIC-ACID,aq",
    "GLUTAMINE,aq",
    "GLUTARATE",
    "GLUTARIC-ACID,aq",
    "DIGLYCINE,aq",
    "H-ADIPATE",
    "H-AZELATE",
    "H-GLUTARATE",
    "H-MALONATE",
    "H-OXALATE",
    "H-PIMELATE",
    "H-SEBACATE",
    "H-SUBERATE",
    "H-SUCCINATE",
    "HEPTANOATE",
    "HEPTANOIC-ACID,aq",
    "HEXANOATE",
    "HEXANOIC-ACID,aq",
    "ISOLEUCINE,aq",
    "LEUCINE,aq",
    "m-TOLUATE",
    "m-TOLUIC-ACID,aq",
    "MALONATE",
    "MALONIC-ACID,aq",
    "METHANAMINE,aq",
    "METHANOL,aq",
    "METHIONINE,aq",
    "N-BUTANE,aq",
    "N-BUTYLBENZENE,aq",
    "N-HEPTANE,aq",
    "N-HEPTYLBENZENE,aq",
    "N-HEXANE,aq",
    "N-HEXYLBENZENE,aq",
    "N-OCTANE,aq",
    "N-OCTYLBENZENE,aq",
    "N-PENTANE,aq",
    "N-PENTYLBENZENE,aq",
    "N-PROPYLBENZENE,aq",
    "NONANOATE",
    "NONANOIC-ACID,aq",
    "o-TOLUATE",
    "o-TOLUIC-ACID,aq",
    "OCTANOATE",
    "OCTANOIC-ACID,aq",
    "OXALATE",
    "OXALIC-ACID,aq",
    "p-TOLUATE",
    "p-TOLUIC-ACID,aq",
    "PHENOL,aq",
    "PHENYLALANINE,aq",
    "PIMELATE",
    "PIMELIC-ACID,aq",
    "PROPANE,aq",
    "SEBACATE",
    "SEBACIC-ACID,aq",
    "SERINE,aq",
    "SUBERATE",
    "SUBERIC-ACID,aq",
    "SUCCINATE",
    "SUCCINIC-ACID,aq",
    "THREONINE,aq",
    "TOLUENE,aq",
    "TRYPTOPHAN,aq",
    "TYROSINE,aq",
    "UNDECANOATE",
    "UNDECANOIC-ACID,aq",
    "UREA,aq",
    "VALINE,aq",
    "ACETALDEHYDE,aq",
    "BUTANAL,aq",
    "DECANAL,aq",
    "FORMALDEHYDE,aq",
    "HEPTANAL,aq",
    "HEXANAL,aq",
    "NONANAL,aq",
    "OCTANAL,aq",
    "PENTANAL,aq",
    "PROPANAL,aq",
    "Bi(Ac)+2",
    "Bi(Ac)2+",
    "Bi(Ac)3,aq",
    "Dy(Ac)+2",
    "Dy(Ac)2+",
    "Dy(Ac)3,aq",
    "Ho(Ac)+2",
    "Ho(Ac)2+",
    "Ho(Ac)3,aq",
    "Er(Ac)+2",
    "Er(Ac)2+",
    "Er(Ac)3,aq",
    "Tm(Ac)+2",
    "Tm(Ac)2+",
    "Tm(Ac)3,aq",
    "Be(Ac)+",
    "Be(Ac)2,aq",
    "Ra(Ac)+",
    "Ra(Ac)2,aq",
    "Au(Ac),aq",
    "Au(Ac)2-",
    "Li(Ac),aq",
    "Li(Ac)2-",
    "Na(Ac),aq",
    "Na(Ac)2-",
    "K(Ac),aq",
    "K(Ac)2-",
    "Mg(Ac)+",
    "Mg(Ac)2,aq",
    "Sr(Ac)+",
    "Sr(Ac)2,aq",
    "Ba(Ac)+",
    "Ba(Ac)2,aq",
    "Cu(Ac),aq",
    "Cu(Ac)2-",
    "Rb(Ac),aq",
    "Rb(Ac)2-",
    "Tl(Ac),aq",
    "Tl(Ac)2-",
    "Cs(Ac),aq",
    "Cs(Ac)2-",
    "Pb(Ac)+",
    "Pb(Ac)2,aq",
    "Mn(Ac)+",
    "Mn(Ac)2,aq",
    "Mn(Ac)3-",
    "Co(Ac)+",
    "Co(Ac)2,aq",
    "Co(Ac)3-",
    "Ni(Ac)+",
    "Ni(Ac)2,aq",
    "Ni(Ac)3-",
    "Cu(Ac)+",
    "Cu(Ac)2,aq",
    "Cu(Ac)3-",
    "NH4(Ac),aq",
    "NH4(Ac)2-",
    "UO2(Ac)+",
    "UO2(Ac)2,aq",
    "UO2(Ac)3-",
    "Ag(Ac),aq",
    "Ag(Ac)2-",
    "Cd(Ac)+",
    "Cd(Ac)2,aq",
    "Cd(Ac)3-",
    "Hg(Ac)+",
    "Hg(Ac)2,aq",
    "Hg(Ac)3-",
    "Sc(Ac)+2",
    "Sc(Ac)2+",
    "Sc(Ac)3,aq",
    "U(Ac)+2",
    "U(Ac)2+",
    "U(Ac)3,aq",
    "Pr(Ac)+2",
    "Pr(Ac)2+",
    "Pr(Ac)3,aq",
    "La(Ac)+2",
    "La(Ac)2+",
    "La(Ac)3,aq",
    "Nd(Ac)+2",
    "Nd(Ac)2+",
    "Nd(Ac)3,aq",
    "Ce(Ac)+2",
    "Ce(Ac)2+",
    "Ce(Ac)3,aq",
    "Gd(Ac)+2",
    "Gd(Ac)2+",
    "Gd(Ac)3,aq",
    "Sm(Ac)+2",
    "Sm(Ac)2+",
    "Sm(Ac)3,aq",
    "Yb(Ac)+2",
    "Yb(Ac)2+",
    "Yb(Ac)3,aq",
    "Eu(Ac)+2",
    "Eu(Ac)2+",
    "Eu(Ac)3,aq",
    "Y(Ac)+2",
    "Y(Ac)2+",
    "Y(Ac)3,aq",
    "Lu(Ac)+2",
    "Lu(Ac)2+",
    "Lu(Ac)3,aq",
    "Tb(Ac)+2",
    "Tb(Ac)2+",
    "Tb(Ac)3,aq",
    "Pb(Ac)3-",
    "Fe(Ac)+",
    "Fe(Ac)2,aq",
    "Zn(Ac)+",
    "Zn(Ac)2,aq",
    "Zn(Ac)3-",
    "Ca(Ac)+",
    "Ca(Ac)2,aq",
    "Al(Ac)+2",
    "Al(Ac)2+",
    "Al(Ac)3,aq",
    "LACTATE",
    "LACTIC-ACID,aq",
    "Li(Lac),aq",
    "Mg(Lac)+",
    "Mg(Lac)2,aq",
    "Ca(Lac)+",
    "Ca(Lac)2,aq",
    "Sr(Lac)+",
    "Sr(Lac)2,aq",
    "Ba(Lac)+",
    "Ba(Lac)2,aq",
    "Mn(Lac)+",
    "Mn(Lac)2,aq",
    "Co(Lac)+",
    "Co(Lac)2,aq",
    "Ni(Lac)+",
    "Ni(Lac)2,aq",
    "Cu(Lac)+",
    "Cu(Lac)2,aq",
    "Zn(Lac)+",
    "Zn(Lac)2,aq",
    "Cd(Lac)+",
    "Cd(Lac)2,aq",
    "La(Lac)+2",
    "Lu(Lac)+2",
    "Na(Lac),aq",
    "Na(Lac)2-",
    "K(Lac),aq",
    "K(Lac)2-",
    "Pb(Lac)+",
    "Pb(Lac)2,aq",
    "Fe(Lac)+",
    "Fe(Lac)2,aq",
    "Eu(Lac)+",
    "Eu(Lac)2,aq",
    "GLYCOLIC-ACID,aq",
    "GLYCOLATE",
    "Li(Glyc),aq",
    "Mg(Glyc)+",
    "Mg(Glyc)2,aq",
    "Ca(Glyc)+",
    "Ca(Glyc)2,aq",
    "Sr(Glyc)+",
    "Sr(Glyc)2,aq",
    "Ba(Glyc)+",
    "Ba(Glyc)2,aq",
    "Mn(Glyc)+",
    "Mn(Glyc)2,aq",
    "Co(Glyc)+",
    "Co(Glyc)2,aq",
    "Ni(Glyc)+",
    "Ni(Glyc)2,aq",
    "Cu(Glyc)+",
    "Cu(Glyc)2,aq",
    "Zn(Glyc)+",
    "Zn(Glyc)2,aq",
    "Cd(Glyc)+",
    "Cd(Glyc)2,aq",
    "Eu(Glyc)+",
    "Eu(Glyc)2,aq",
    "Na(Glyc),aq",
    "Na(Glyc)2-",
    "K(Glyc),aq",
    "K(Glyc)2-",
    "Pb(Glyc)+",
    "Pb(Glyc)2,aq",
    "Fe(Glyc)+",
    "Fe(Glyc)2,aq",
    "ALANINE,aq",
    "ALANATE",
    "Cd(Alan)+",
    "Cd(Alan)2,aq",
    "Ca(Alan)+",
    "Ca(Alan)2,aq",
    "Pb(Alan)+",
    "Pb(Alan)2,aq",
    "Mg(Alan)+",
    "Mg(Alan)2,aq",
    "Sr(Alan)+",
    "Sr(Alan)2,aq",
    "Mn(Alan)+",
    "Mn(Alan)2,aq",
    "Co(Alan)+",
    "Co(Alan)2,aq",
    "Ni(Alan)+",
    "Ni(Alan)2,aq",
    "Cu(Alan)+",
    "Cu(Alan)2,aq",
    "Zn(Alan)+",
    "Zn(Alan)2,aq",
    "Ba(Alan)+",
    "Ba(Alan)2,aq",
    "Fe(Alan)+",
    "Fe(Alan)2,aq",
    "Eu(Alan)+",
    "Eu(Alan)2,aq",
    "GLYCINE,aq",
    "GLYCINATE",
    "Cd(Gly)+",
    "Cd(Gly)2,aq",
    "Ca(Gly)+",
    "Ca(Gly)2,aq",
    "Sr(Gly)+",
    "Sr(Gly)2,aq",
    "Mn(Gly)+",
    "Mn(Gly)2,aq",
    "Fe(Gly)+",
    "Fe(Gly)2,aq",
    "Co(Gly)+",
    "Co(Gly)2,aq",
    "Pb(Gly)+",
    "Pb(Gly)2,aq",
    "Mg(Gly)+",
    "Mg(Gly)2,aq",
    "Ni(Gly)+",
    "Ni(Gly)2,aq",
    "Cu(Gly)+",
    "Cu(Gly)2,aq",
    "Zn(Gly)+",
    "Zn(Gly)2,aq",
    "Eu(Gly)+",
    "Eu(Gly)2,aq",
    "Ba(Gly)+",
    "Ba(Gly)2,aq",
    "FORMIC-ACID,aq",
    "FORMATE",
    "Mg(For)+",
    "Mg(For)2,aq",
    "Ca(For)+",
    "Ca(For)2,aq",
    "Sr(For)+",
    "Sr(For)2,aq",
    "Ba(For)+",
    "Ba(For)2,aq",
    "Cu(For)+",
    "Cu(For)2,aq",
    "Cd(For)+",
    "Cd(For)2,aq",
    "Na(For),aq",
    "Na(For)2-",
    "K(For),aq",
    "K(For)2-",
    "La(For)+2",
    "La(For)2+",
    "Eu(For)+",
    "Eu(For)2,aq",
    "U(For)+2",
    "U(For)2+",
    "Eu(For)+2",
    "Eu(For)2+",
    "Gd(For)+2",
    "Gd(For)2+",
    "Yb(For)+2",
    "Yb(For)2+",
    "Pb(For)+",
    "Pb(For)2,aq",
    "Mn(For)+",
    "Mn(For)2,aq",
    "Co(For)+",
    "Co(For)2,aq",
    "Ni(For)+",
    "Ni(For)2,aq",
    "Zn(For)+",
    "Zn(For)2,aq",
    "Fe(For)+",
    "Fe(For)2,aq",
    "PROPANOIC-ACID,aq",
    "PROPANOATE",
    "Mg(Prop)+",
    "Mg(Prop)2,aq",
    "Ca(Prop)+",
    "Ca(Prop)2,aq",
    "Sr(Prop)+",
    "Sr(Prop)2,aq",
    "Ba(Prop)+",
    "Ba(Prop)2,aq",
    "Eu(Prop)+",
    "Eu(Prop)2,aq",
    "Cu(Prop)+",
    "Cu(Prop)2,aq",
    "Cd(Prop)+",
    "Cd(Prop)2,aq",
    "Pb(Prop)+",
    "Pb(Prop)2,aq",
    "Na(Prop),aq",
    "Na(Prop)2-",
    "K(Prop),aq",
    "K(Prop)2-",
    "La(Prop)+2",
    "La(Prop)2+",
    "Eu(Prop)+2",
    "Eu(Prop)2+",
    "Gd(Prop)+2",
    "Gd(Prop)2+",
    "Yb(Prop)+2",
    "Yb(Prop)2+",
    "U(Prop)+2",
    "U(Prop)2+",
    "Co(Prop)+",
    "Co(Prop)2,aq",
    "Ni(Prop)+",
    "Ni(Prop)2,aq",
    "Zn(Prop)+",
    "Zn(Prop)2,aq",
    "Fe(Prop)+",
    "Fe(Prop)2,aq",
    "Mn(Prop)+",
    "Mn(Prop)2,aq",
    "BUTANOIC-ACID,aq",
    "BUTANOATE",
    "U(But)+2",
    "U(But)2+",
    "Eu(But)+",
    "Eu(But)2,aq",
    "Mg(But)+",
    "Ca(But)+",
    "Ca(But)2,aq",
    "Sr(But)+",
    "Sr(But)2,aq",
    "Ba(But)+",
    "Ba(But)2,aq",
    "Cu(But)+",
    "Cu(But)2,aq",
    "Cd(But)+",
    "Cd(But)2,aq",
    "Na(But),aq",
    "Na(But)2-",
    "K(But),aq",
    "K(But)2-",
    "La(But)+2",
    "La(But)2+",
    "Eu(But)+2",
    "Eu(But)2+",
    "Gd(But)+2",
    "Gd(But)2+",
    "Yb(But)+2",
    "Yb(But)2+",
    "Pb(But)+",
    "Pb(But)2,aq",
    "Mn(But)+",
    "Mn(But)2,aq",
    "Ni(But)+",
    "Ni(But)2,aq",
    "Zn(But)+",
    "Zn(But)2,aq",
    "Fe(But)+",
    "Fe(But)2,aq",
    "Co(But)+",
    "Co(But)2,aq",
    "PENTANOIC-ACID,aq",
    "PENTANOATE",
    "Ca(Pent)+",
    "Ca(Pent)2,aq",
    "Sr(Pent)+",
    "Sr(Pent)2,aq",
    "Ba(Pent)+",
    "Ba(Pent)2,aq",
    "Cu(Pent)+",
    "Cu(Pent)2,aq",
    "Na(Pent),aq",
    "Na(Pent)2-",
    "K(Pent),aq",
    "K(Pent)2-",
    "La(Pent)+2",
    "La(Pent)2+",
    "Eu(Pent)+2",
    "Eu(Pent)2+",
    "U(Pent)+2",
    "Eu(Pent)+",
    "Gd(Pent)+2",
    "Gd(Pent)2+",
    "Yb(Pent)+2",
    "Yb(Pent)2+",
    "Mg(Pent)+",
    "Mg(Pent)2,aq",
    "Pb(Pent)+",
    "Pb(Pent)2,aq",
    "Co(Pent)+",
    "Co(Pent)2,aq",
    "Ni(Pent)+",
    "Ni(Pent)2,aq",
    "Zn(Pent)+",
    "Zn(Pent)2,aq",
    "Cd(Pent)+",
    "Cd(Pent)2,aq",
    "Fe(Pent)+",
    "Fe(Pent)2,aq",
    "Mn(Pent)+",
    "Mn(Pent)2,aq",
    "Mg(But)2,aq"
]
